;**************************************************************************
; Addon for windows.inc (Version 1.4c RELEASE April 2008) by Coma
;**************************************************************************
;Default System and User IDs for language and locale.
;LANG_SYSTEM_DEFAULT    (MAKELANGID(LANG_NEUTRAL, SUBLANG_SYS_DEFAULT))
;LANG_USER_DEFAULT      (MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT))

;LOCALE_SYSTEM_DEFAULT  (MAKELCID(LANG_SYSTEM_DEFAULT, SORT_DEFAULT))
;LOCALE_USER_DEFAULT    (MAKELCID(LANG_USER_DEFAULT, SORT_DEFAULT))

;LOCALE_NEUTRAL (MAKELCID(MAKELANGID(LANG_NEUTRAL, SUBLANG_NEUTRAL), SORT_DEFAULT))

;LOCALE_INVARIANT (MAKELCID(MAKELANGID(LANG_INVARIANT, SUBLANG_NEUTRAL), SORT_DEFAULT))

;ChooseColor
CC_SOLIDCOLOR                   equ 80h

;Digital Video
MCI_DGV_STATUS_HWND             equ 4001h

;AviCapture
CAPTUREPARMS struct                                     ;not sure !!!
dwRequestMicroSecPerFrame       dd ?
fMakeUserHitOKToCapture         dd ?                    ;BOOL
wPercentDropForError            dd ?                    ;UINT
fYield                          dd ?                    ;BOOL
wIndexSize                      dd ?
wChunkGranularity               dd ?                    ;UINT
fUsingDOSMemory                 dd ?                    ;BOOL
wNumVideoRequested              dd ?                    ;UINT
fCaptureAudio                   dd ?                    ;BOOL
wNumAudioRequested              dd ?                    ;UINT
vKeyAbort                       dd ?                    ;UINT 
fAbortLeftMouse                 dd ?                    ;BOOL
fAbortRightMouse                dd ?                    ;BOOL
fLimitEnabled                   dd ?                    ;BOOL
wTimeLimit                      dd ?                    ;UINT
fMCIControl                     dd ?                    ;BOOL
fStepMCIDevice                  dd ?                    ;BOOL
dwMCIStartTime                  dd ?
dwMCIStopTime                   dd ?
fStepCaptureAt2x                dd ?                    ;BOOL
wStepCaptureAverageFrames       dd ?                    ;UINT
dwAudioBufferSize               dd ?
fDisableWriteCache              dd ?                    ;BOOL
AVStreamMaster                  dd ?                    ;UINT
CAPTUREPARMS ends

;Compare String Return Values
CSTR_LESS_THAN                  equ 1
CSTR_EQUAL                      equ 2
CSTR_GREATER_THAN               equ 3

;SHGetFolderPath dwFlags
SHGFP_TYPE_CURRENT              equ 0                   ;current value for user, verify it exists
SHGFP_TYPE_DEFAULT              equ 1                   ;default value, may not exist

;CSIDL's
CSIDL_PROGRAM_FILES             equ 26h

;Notifications from Open or Save dialog
;CDN_FOLDERCHANGE                equ CDN_FIRST-2

;MoveFileEx
MOVEFILE_WRITE_THROUGH          equ 8h

;Rebar
RB_SETBANDWIDTH                 equ (WM_USER + 44)

;Listview
LVS_EX_GRADIENT                 equ 20000000h           ;draws a gradient background
LVS_EX_JUSTIFYCOLUMNS           equ 00200000h           ;Icons are lined up in columns that use up the whole view area.
LVS_EX_TRANSPARENTBKGND         equ 00400000h           ;Background is painted by the parent via WM_PRINTCLIENT
LVS_EX_TRANSPARENTSHADOWTEXT    equ 00800000h           ;Enable shadow text on transparent backgrounds only (useful with bitmaps)
LVS_EX_AUTOAUTOARRANGE          equ 01000000h           ;Icons automatically arrange if no icon positions have been set
LVS_EX_HEADERINALLVIEWS         equ 02000000h           ;Display column header in all view modes
LVS_EX_AUTOCHECKSELECT          equ 08000000h
LVS_EX_AUTOSIZECOLUMNS          equ 10000000h
LVS_EX_COLUMNSNAPPOINTS         equ 40000000h
LVS_EX_COLUMNOVERFLOW           equ 80000000h
LVBKIF_FLAG_ALPHABLEND          equ 20000000h
LVCFMT_FIXED_WIDTH              equ 0100h 
LVCFMT_SPLITBUTTON              equ 1000000h

;Header
HDF_FIXEDWIDTH                  equ 0100h

;CHOOSEFONT
CF_SCRIPTSONLY                  equ 0400h
CF_NOSCRIPTSEL                  equ 00800000h

; -------------------------------------------------------------------------

;Directx
VFW_S_NOPREVIEWPIN              equ 00004027Eh
VFW_S_AUDIO_NOT_RENDERED        equ 000040258h

MAX_TIME                        equ 07FFFFFFFFFFFFFFFh

OATRUE                          equ -1
OAFALSE                         equ 0

MAX_PIN_NAME                    equ 128
MAX_FILTER_NAME                 equ 128

MERIT_PREFERRED                 equ 0800000h
MERIT_NORMAL                    equ 0600000h
MERIT_UNLIKELY                  equ 0400000h
MERIT_DO_NOT_USE                equ 0200000h
MERIT_SW_COMPRESSOR             equ 0100000h
MERIT_HW_COMPRESSOR             equ 0100050h

VfwCaptureDialog_Source         equ 01h
VfwCaptureDialog_Format         equ 02h
VfwCaptureDialog_Display        equ 04h

VfwCompressDialog_Config        equ 01h
VfwCompressDialog_About         equ 02h
VfwCompressDialog_QueryConfig   equ 04h
VfwCompressDialog_QueryAbout    equ 08h

CompressionCaps_CanQuality      equ 01h
CompressionCaps_CanCrunch       equ 02h
CompressionCaps_CanKeyFrame     equ 04h
CompressionCaps_CanBFrame       equ 08h
CompressionCaps_CanWindow       equ 010h

CDEF_CLASS_DEFAULT              equ 00001h
CDEF_BYPASS_CLASS_MANAGER       equ 00002h
CDEF_MERIT_ABOVE_DO_NOT_USE     equ 00008h
CDEF_DEVMON_CMGR_DEVICE         equ 00010h
CDEF_DEVMON_DMO                 equ 00020h
CDEF_DEVMON_PNP_DEVICE          equ 00040h
CDEF_DEVMON_FILTER              equ 00080h
CDEF_DEVMON_SELECTIVE_MASK      equ 000F0h


INTERLEAVE_NONE                 equ 0
INTERLEAVE_CAPTURE              equ INTERLEAVE_NONE+1
INTERLEAVE_FULL                 equ INTERLEAVE_CAPTURE+1
INTERLEAVE_NONE_BUFFERED        equ INTERLEAVE_FULL+1

State_Stopped                   equ 0
State_Paused                    equ State_Stopped+1
State_Running                   equ State_Paused+1

WAVE_FORMAT_PCM                 equ 1

;---

CAUUID STRUCT
cElems                          dd ?
pElems                          dd ?
CAUUID ENDS

FILTER_INFO STRUCT                                      ;not sure !!!
achname                         dw MAX_FILTER_NAME dup (?)
pGraph                          dd ?
FILTER_INFO ENDS

_AUDIO_STREAM_CONFIG_CAPS STRUCT
guid                            GUID <>
MinimumChannels                 dd ?
MaximumChannels                 dd ?
ChannelsGranularity             dd ?
MinimumBitsPerSample            dd ?
MaximumBitsPerSample            dd ?
BitsPerSampleGranularity        dd ?
MinimumSampleFrequency          dd ?
MaximumSampleFrequency          dd ?
SampleFrequencyGranularity      dd ?
_AUDIO_STREAM_CONFIG_CAPS ENDS

WAVEFORMATEX STRUCT
wFormatTag                      dw ?
nChannels                       dw ?
nSamplesPerSec                  dd ?
nAvgBytesPerSec                 dd ?
nBlockAlign                     dw ?
wBitsPerSample                  dw ?
cbSize                          dw ?
WAVEFORMATEX ENDS

AM_MEDIA_TYPE STRUCT
majortype                       GUID <>
subtype                         GUID <>
bFixedSizeSamples               dd ?
bTemporalCompression            dd ?
lSampleSize                     dd ?
formattype                      GUID <>
pUnk                            dd ?
cbFormat                        dd ?
pbFormat                        dd ?
AM_MEDIA_TYPE ENDS

