; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;  2010 Coma
; -------------------------------------------------------------------------
; Title         : Coma - Win32 Direct Show Video Capture in assembly
; Description   : Direct Show Video Capture in assembly
; Version       : 0.30
; Date          : 24.09.2010
; Company       : Coma
; Author        : Coma
; Homepage      : http://ge2001.dyndns.org:44792
;               : Online 20:00 - 23:00 GMT+2
; Email         : ge2001@yahoo.com
; -------------------------------------------------------------------------
; Assembler     : Microsoft Assembler 6.14.884 / Linker 5.12.8078 / Resource Compiler 5.00.1823.1
;               : ml.exe /c /coff Coma_Win32_DxDirectShow_VideoCapture.asm
;               : rc.exe /v rsrc.rc
;               : cvtres.exe /machine:ix86 rsrc.res
;               : link.exe /SUBSYSTEM:WINDOWS /OPT:NOREF Coma_Win32_DxDirectShow_VideoCapture.obj rsrc.res
; -------------------------------------------------------------------------
; Comments      : Freeware, use it on your own risk
;               : Masm32 download: http://movsd.com
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.586
.MMX
.Model Flat, StdCall
option casemap:none

include \masm32\include\kernel32.inc
include \masm32\include\user32.inc
include \masm32\include\gdi32.inc
include \masm32\include\comctl32.inc
include \masm32\include\shell32.inc
include \masm32\include\shlwapi.inc
include \masm32\include\winmm.inc
include \masm32\include\ole32.inc
include \masm32\include\oleaut32.inc
include \masm32\include\msdmo.inc
;---
includelib \masm32\lib\kernel32.lib
includelib \masm32\lib\user32.lib
includelib \masm32\lib\gdi32.lib
includelib \masm32\lib\comctl32.lib
includelib \masm32\lib\shell32.lib
includelib \masm32\lib\shlwapi.lib
includelib \masm32\lib\winmm.lib
includelib \masm32\lib\ole32.lib
includelib \masm32\lib\oleaut32.lib
includelib \masm32\lib\msdmo.lib
;---
include \masm32\include\windows.inc
;---
include variant.inc
include Coma_windows.inc
include win32dxdirectshow.inc



; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.const
align 8
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
WP_CallBack                 equ [ebp+04]            ; return address
WP_hWnd                     equ [ebp+08]            ; handle window for msg
WP_uMsg                     equ [ebp+12]            ; message number
WP_wParam                   equ [ebp+16]            ; extra message info
WP_lParam                   equ [ebp+20]            ; extra message info
;---
DP_CallBack                 equ [ebp+04]            ; return address
DP_hWnd                     equ [ebp+08]            ; handle window for msg
DP_uMsg                     equ [ebp+12]            ; message number
DP_wParam                   equ [ebp+16]            ; extra message info
DP_lParam                   equ [ebp+20]            ; extra message info
;---
MAX_PATHEX                  equ 1024

; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.data?
align 8
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
wc                          WNDCLASSEX <>               ; Structures
msg                         MSG <>
icc                         INITCOMMONCONTROLSEX <>
ps                          PAINTSTRUCT <>
nid                         NOTIFYICONDATA <>
lvc                         LV_COLUMN <>
lvi                         LV_ITEM <>
lvbki                       LVBKIMAGE <>
rc                          RECT <>
bi                          BROWSEINFO <>
ti                          TOOLINFO <>
tc                          TIMECAPS <>
_st                         SYSTEMTIME <>
_stDTStart                  SYSTEMTIME <>
_stDTEnd                    SYSTEMTIME <>
_stOut                      SYSTEMTIME <>
ft                          FILETIME <>
ftStart                     FILETIME <>
ftEnd                       FILETIME <>
vt                          VARIANT <>
cauuid                      CAUUID <>
mt                          AM_MEDIA_TYPE <>
wfx                         WAVEFORMATEX <>
ascc                        _AUDIO_STREAM_CONFIG_CAPS <>
;---
pVidWin                     dd ?
pBuilder                    dd ?
pGraph                      dd ?
pDevEnum                    dd ?
pClassEnum                  dd ?
pAudioDevice                dd ?
pVEncoder                   dd ?
pAEncoder                   dd ?
pMux                        dd ?
pMoniker                    dd ?
pcFetched                   dd ?
pSrc                        dd ?
ppf                         dd ?
pSink                       dd ?
pControlPreview             dd ?
pControlCapture             dd ?
pPropBag                    dd ?
pFilterEnum                 dd ?
pFilter                     dd ?
pSpecify                    dd ?
pInterface                  dd ?
pcbState                    dd ?
pAM_MEDIA_TYPE              dd ?
iVideoDevice                dd ?
iVideoEncoder               dd ?
iAudioDevice                dd ?
iAudioEncoder               dd ?
iAudioEncoderParameter      dd ?
cbVersion                   dd ?
cbDesc                      dd ?
pcbVersion                  dd ?
pcbDesc                     dd ?
pDefaultKeyFrameRate        dd ?
pDefaultPFramesPerKey       dd ?
pDefaultQuality             dd ?
pCapabilities               dd ?
pQuality                    dd ?                        ;
pQuality1                   dd ?                        ;
pQuality2                   dd ?                        ;
pKeyFrameRate               dd ?
pPFramesPerKeyFrame         dd ?
pWindowSize                 dd ?
pConfigMux                  dd ?
piCount                     dd ?
piSize                      dd ?
;---
hIcoApplication             dd ?                        ; Handle
hBmpBackground              dd ?
hBrBackground               dd ?
hBr00000000                 dd ?
hFntDefGui                  dd ?
hPen                        dd ?
hObjectOld                  dd ?
hSysMenu                    dd ?
;---
hWndCBBagVideoDevice        dd ?
hWndCBBagVideoEncoder       dd ?
hWndCBBagAudioDevice        dd ?
hWndCBBagAudioEncoder       dd ?
hWndSTLogo                  dd ?
hWndBUOpenDML               dd ?
hWndBUCapturePin            dd ?
hWndBUVideoFilter           dd ?
hWndBUAudioFilter           dd ?
hWndBUVideoEncoder          dd ?
hWndBUAudioEncoder          dd ?
hWndBUPreview               dd ?
hWndBUCaptureStart          dd ?
hWndBUCaptureStop           dd ?
hWndBUAutoCapture           dd ?
hWndBUAutoCaptureVideo      dd ?
hWndBUAutoCaptureFrame      dd ?
hWndDTStart                 dd ?
hWndDTEnd                   dd ?
hWndEDInterval              dd ?
hWndUDInterval              dd ?
hWndSB                      dd ?
hWndTT                      dd ?
hWndLVAudioEncoder          dd ?
hWndBUAudioEncoderDefault   dd ?
hWndBUAudioEncoderOK        dd ?
hWndBUAudioEncoderCancel    dd ?
;---
IdTimer                     dd ?
hInstance                   dd ?
hWndMain                    dd ?                        ; main window handle (WP_hWnd) for the timer thread
ReturnEAX                   dd ?
;---
FrameCaptureCounter         dd ?
;---
BufferError                 db MAX_PATH     dup (?)     ; Buffer
BufferTargetDir             db MAX_PATHEX   dup (?)
BufferSystemDir             db MAX_PATHEX   dup (?)
BufferTempPath              db MAX_PATHEX   dup (?)
BufferWideChar              db MAX_PATHEX   dup (?)
BufferCaptureAM_MEDIA_TYPE  db 10000 dup (?)            ; should be 408+AM_MEDIA_TYPE.cbFormat dup (?)
BufferState                 db 10000 dup (?)            ; various size !
BufferTmp0                  db 10000 dup (?)
BufferTmp1                  db 10000 dup (?)



; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.data
align 8
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
include uuids.inc
;---
pStart                          dq MAX_TIME
pStop                           dq MAX_TIME
;---
XorgWindow                      dd 0
YorgWindow                      dd 0
XmaxWindow                      dd 510
YmaxWindow                      dd 432
;---
SBParts                         dd 256,332,408,484
;---
fAudio                          dd 0
fPreview                        dd 0
fCapture                        dd 0
fAutoCapture                    dd 0
fAutoCaptureMode                dd 1
fVideoEncoder                   dd 0
fAudioEncoder                   dd 0
fAviFormat                      dd 1
;---
szCN                            db "ek45fw3io88zr9r23iorh29osdk4o5d6iuwfew44poir3",0
szWN                            db "  2010 Coma - Win32 Direct Show Video Capture in assembly",0
;---
szCN_DateTimePick               db "SysDateTimePick32",0
szCN_Statusbar                  db "msctls_statusbar32",0
szCN_ToolTips                   db "Tooltips_class32",0
szCN_UpDown                     db "msctls_updown32",0
szCN_Listview                   db "SysListView32",0
szCN_Combobox                   db "COMBOBOX",0
szCN_Button                     db "BUTTON",0
szCN_Static                     db "STATIC",0
szCN_Edit                       db "EDIT",0
;---
szOpen                          db "open",0
szControl                       db "control.exe ",0
szMmsysCpl                      db "mmsys.cpl",0
;---
szSelectTargetFolder            db "Select target folder for captured videos and frames",0
szTargetFolder                  db "Target folder for captured files",0
szStartDateAndStartTime         db "Start Date & Start Time",0
szEndDateAndEndTime             db "End Date & End Time",0
szDTFormat                      db "dd'.'MM'.'yyyy' - 'HH':'mm",0
;---
szError                         db "Error: 0x",0
szErrorBagVideoDevice           db "enumerating Video Driver",0
szErrorAddVideoDevice           db "adding Video Device",0
szErrorVideoFilterProperty      db "setting Video Filter Property",0
szErrorBagVideoEncoder          db "enumerating Video Encoder",0
szErrorAddVideoEncoder          db "adding Video Encoder",0
szErrorVideoEncoderParameter    db "setting Video Encoder Parameter",0
szErrorBagAudioDevice           db "enumaratung Audio Driver",0
szErrorAddAudioDevice           db "adding Audio Device",0
szErrorAudioFilterProperty      db "setting Audio Filter Property",0
szErrorBagAudioEncoder          db "enumerating Audio Encoder",0
szErrorAddAudioEncoder          db "adding Audio Encoder",0
szErrorAudioEncoderParameter    db "Audio Encoder not used",0
szErrorVideoStreamConfiguration db "Video Stream Configuration",0
szErrorVideoStreamConfigurationParameter db "Video Stream Configuration Parameter",0
szErrorAudioEncoderDialog       db "Audio Encoder Dialog",0
szErrorVideoVfwEncoderDialog    db "Video Vfw Encoder Dialog",0
szErrorVideoIAMEncoderDialog    db "Video IAM Encoder Dialog",0
szErrorGraph                    db "creating Graph",0
szErrorRenderPreview            db "rendering Preview",0
szErrorRenderCapture            db "rendering Capture",0
szErrorWindow                   db "creating Window",0
;---
szNull                          db 0
szMinus                         db "-",0
szSpaceMinusSpace               db " - ",0
szColon                         db ":",0
;---
szConnectON                     db "Connect: ON",0
szConnectOFF                    db "Connect: OFF",0
szPreviewON                     db "Preview: ON",0
szPreviewOFF                    db "Preview: OFF",0
szCaptureON                     db "Capture: ON",0
szCaptureOFF                    db "Capture: OFF",0
;---
szLogo                          db "Logo",0
szAviOpenDMLFormat              db "Force OpenDML avi format",0
;---
szNoVideoDevice                 db "No Video Device",0
szNoVideoEncoder                db "No Video Encoder",0
szNoAudioDevice                 db "No Audio Device",0
szNoAudioEncoder                db "No Audio Encoder",0
szVideoDevice                   db "Video Device",0
szAudioDevice                   db "Audio Device",0
szFilenameCapture               db "Capture_",0
szExtenderAvi                   db ".avi",0
szFriendlyName                  db "FriendlyName",0
;---
szCapturePin                    db "Capture Pin",0
szVideoFilter                   db "Video Filter",0
szAudioFilter                   db "Audio Filter",0
szVideoEncoder                  db "Video Encoder",0
szAudioEncoder                  db "Audio Encoder",0
szPreview                       db "Preview",0
szStartCapture                  db "Start Capture",0
szStopCapture                   db "Stop Capture",0
szFrame                         db "Frame",0
szVideo                         db "Video",0
szAutoCapture                   db "Auto Capture",0
;---
szVideoStreamConfiguration      db "Video Stream Configuration",0
;---
szChannel                       db "Channel",0
szSampleFrequenz                db "Sample Frequenz",0
szBitrate                       db "Bitrate",0
szBit                           db "Bit",0
szDefault                       db "Default",0
szOK                            db "OK",0
szCancel                        db "Cancel",0
;---
szAudioProperties               db "Audio  Properties",0
szParameterError                db " Date/Time Parameter wrong, User input error ... ",0
szAbout                         db "About",0 
szAboutInfo                     db " 2010 Coma - Freeware",0
szAboutText                     db " Win32 DirectShow Video Capture in assembly. ",13,10,13,10
                                db " Version 0.30",0
szComaHome                      db "Coma Homepage 20:00-23:00 GMT+2",0
szURLComa                       db "http://ge2001.dyndns.org:44792",0



; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.code
align 8
Main:
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
invoke  GetModuleHandle,0
mov     wc.hInstance,eax
mov     hInstance,eax
;---
invoke  FindWindow,ADDR szCN,ADDR szWN
cmp     eax,0h
je      RunProgram
mov     ebx,eax
invoke  ShowWindow,ebx,SW_SHOWNORMAL
invoke  SetForegroundWindow,ebx
invoke  ExitProcess,wc.hInstance
mov     eax,0
ret
;---
RunProgram:
finit                                           ; init FPU
invoke  CoInitialize,0                          ; init COM
;---
mov     icc.dwSize,sizeof INITCOMMONCONTROLSEX
mov     icc.dwICC,ICC_STANDARD_CLASSES or ICC_WIN95_CLASSES
invoke  InitCommonControlsEx,ADDR icc
;---
call    SubGetSystemMetrics
;---
invoke  LoadIcon,wc.hInstance,20000
mov     hIcoApplication,eax
mov     wc.hIconSm,eax
mov     wc.hIcon,eax
invoke  LoadCursor,0,IDC_ARROW
mov     wc.hCursor,eax
invoke  LoadBitmap,wc.hInstance,20001
mov     hBmpBackground,eax
invoke  CreatePatternBrush,hBmpBackground
mov     hBrBackground,eax
mov     wc.hbrBackground,eax
mov     wc.cbSize,sizeof WNDCLASSEX
mov     wc.style,CS_HREDRAW or CS_VREDRAW
mov     wc.lpfnWndProc,OFFSET WP
mov     wc.cbClsExtra,0
mov     wc.cbWndExtra,0
mov     wc.lpszMenuName,0
mov     wc.lpszClassName,OFFSET szCN
invoke  RegisterClassEx,ADDR wc
;---
invoke  CreateWindowEx,0,ADDR szCN,ADDR szWN,WS_OVERLAPPED or WS_CAPTION or WS_CLIPCHILDREN or WS_SYSMENU or WS_MINIMIZEBOX,XorgWindow,YorgWindow,XmaxWindow,YmaxWindow,0,0,wc.hInstance,0
mov     msg.hwnd,eax
invoke  ShowWindow,msg.hwnd,SW_SHOWNORMAL
invoke  UpdateWindow,msg.hwnd



; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
MessageLoop:
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
invoke  GetMessage,ADDR msg,0,0,0
cmp     eax,0
je      TerminateProgram
invoke  TranslateMessage,ADDR msg
invoke  DispatchMessage,ADDR msg
jmp     MessageLoop
; -------------------------------------------------------------------------
TerminateProgram:
invoke  DeleteObject,hIcoApplication
invoke  DeleteObject,hBmpBackground
invoke  DeleteObject,hBrBackground
invoke  CoUninitialize
invoke  ExitProcess,wc.hInstance
mov     eax,msg.wParam
ret



; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
TP:                                             ; Timer Procedure
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
push    ebp
mov     ebp,esp
pushad
;---
cmp     fAutoCapture,0
je      TP_Return
cmp     fAutoCapture,1
je      TP_AviStartCapture
cmp     fAutoCapture,2
je      TP_AviStopCapture
cmp     fAutoCapture,3
je      TP_FrameStartCapture
cmp     fAutoCapture,4
je      TP_FrameStopCapture
jmp     TP_Return
;---
TP_AviStartCapture:
invoke  SendMessage,hWndCBBagVideoDevice,CB_GETCURSEL,0,0
cmp     eax,CB_ERR
je      TP_Return
;cmp     eax,0
;je      TP_Return
invoke  GetLocalTime,ADDR _st
invoke  TzSpecificLocalTimeToSystemTime,0,ADDR _st,ADDR _stOut
invoke  SystemTimeToFileTime,ADDR _stOut,ADDR ft
invoke  CompareFileTime,ADDR ft,ADDR ftStart
cmp     eax,-1
je      TP_Return
call    SubStartCapture
mov     fAutoCapture,2
jmp     TP_Return
;---
TP_AviStopCapture:
invoke  GetLocalTime,ADDR _st
invoke  TzSpecificLocalTimeToSystemTime,0,ADDR _st,ADDR _stOut
invoke  SystemTimeToFileTime,ADDR _stOut,ADDR ft
invoke  CompareFileTime,ADDR ft,ADDR ftEnd
cmp     eax,-1
je      TP_Return
call    SubStopCapture
call    SubRelease
mov     fAutoCapture,0
jmp     TP_Return
;---
TP_FrameStartCapture:                                                           ;Start: Frame capture not included in this version
invoke  GetLocalTime,ADDR _st
invoke  TzSpecificLocalTimeToSystemTime,0,ADDR _st,ADDR _stOut
invoke  SystemTimeToFileTime,ADDR _stOut,ADDR ft
invoke  CompareFileTime,ADDR ft,ADDR ftStart
cmp     eax,-1
je      TP_Return
mov     fAutoCapture,4
invoke  SendMessage,hWndSB,SB_SETTEXT,3,ADDR szCaptureON
;call    SubCapFrame
jmp     TP_Return
;---
TP_FrameStopCapture:
invoke  SendMessage,hWndUDInterval,UDM_GETPOS,0,0
inc     FrameCaptureCounter
cmp     eax,FrameCaptureCounter
jne     TP_Return
;call    SubCapFrame
mov     FrameCaptureCounter,0
invoke  GetLocalTime,ADDR _st
invoke  TzSpecificLocalTimeToSystemTime,0,ADDR _st,ADDR _stOut
invoke  SystemTimeToFileTime,ADDR _stOut,ADDR ft
invoke  CompareFileTime,ADDR ft,ADDR ftEnd
cmp     eax,-1
je      TP_Return
invoke  SendMessage,hWndSB,SB_SETTEXT,3,ADDR szCaptureOFF
;call    SubAutoCaptureOFFSetControls
mov     fAutoCapture,0                                                          ;End: Frame capture not included in this version
jmp     TP_Return
; -------------------------------------------------------------------------
TP_Return:
; -------------------------------------------------------------------------
popad
mov     esp,ebp
pop     ebp
ret     14h



; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
DP:                                             ; Dialog Procedure
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
push    ebp
mov     ebp,esp
mov     eax,DP_uMsg
; -------------------------------------------------------------------------
DP_WM_INITDIALOG:
cmp     eax,WM_INITDIALOG
jne     DP_WM_CLOSE
; -------------------------------------------------------------------------
invoke  CreateWindowEx,0,ADDR szCN_Listview,0,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_BORDER or LVS_REPORT or LVS_NOSORTHEADER or LVS_SHOWSELALWAYS or LVS_SINGLESEL,8,8,264,292,DP_hWnd,2500,wc.hInstance,0
mov     hWndLVAudioEncoder,eax
invoke  SendMessage,hWndLVAudioEncoder,WM_SETFONT,hFntDefGui,1h
invoke  SendMessage,hWndLVAudioEncoder,LVM_SETEXTENDEDLISTVIEWSTYLE,0,LVS_EX_DOUBLEBUFFER or LVS_EX_FLATSB or LVS_EX_FULLROWSELECT or LVS_EX_ONECLICKACTIVATE
invoke  SendMessage,hWndLVAudioEncoder,LVM_SETBKCOLOR,0,00000000h
invoke  SendMessage,hWndLVAudioEncoder,LVM_SETTEXTBKCOLOR,0,CLR_NONE
invoke  SendMessage,hWndLVAudioEncoder,LVM_SETTEXTCOLOR,0,00FFFFFFh
mov     lvc.imask,LVCF_WIDTH or LVCF_FMT or LVCF_TEXT
mov     lvc.fmt,LVCFMT_LEFT
mov     lvc.pszText,OFFSET szChannel
mov     lvc.lx,56
invoke  SendMessage,hWndLVAudioEncoder,LVM_INSERTCOLUMN,0,ADDR lvc
mov     lvc.imask,LVCF_WIDTH or LVCF_FMT or LVCF_TEXT
mov     lvc.fmt,LVCFMT_CENTER
mov     lvc.pszText,OFFSET szSampleFrequenz
mov     lvc.lx,100
invoke  SendMessage,hWndLVAudioEncoder,LVM_INSERTCOLUMN,1,ADDR lvc
mov     lvc.imask,LVCF_WIDTH or LVCF_FMT or LVCF_TEXT
mov     lvc.fmt,LVCFMT_CENTER
mov     lvc.pszText,OFFSET szBitrate
mov     lvc.lx,56
invoke  SendMessage,hWndLVAudioEncoder,LVM_INSERTCOLUMN,2,ADDR lvc
mov     lvc.imask,LVCF_WIDTH or LVCF_FMT or LVCF_TEXT
mov     lvc.fmt,LVCFMT_CENTER
mov     lvc.pszText,OFFSET szBit
mov     lvc.lx,32
invoke  SendMessage,hWndLVAudioEncoder,LVM_INSERTCOLUMN,3,ADDR lvc
;---
invoke  CreateWindowEx,0,ADDR szCN_Button,ADDR szDefault,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or BS_PUSHBUTTON,16,312,80,24,DP_hWnd,2502,wc.hInstance,0
mov     hWndBUAudioEncoderDefault,eax
;---
invoke  CreateWindowEx,0,ADDR szCN_Button,ADDR szOK,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or BS_PUSHBUTTON,100,312,80,24,DP_hWnd,2504,wc.hInstance,0
mov     hWndBUAudioEncoderOK,eax
;---
invoke  CreateWindowEx,0,ADDR szCN_Button,ADDR szCancel,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or BS_PUSHBUTTON,184,312,80,24,DP_hWnd,2506,wc.hInstance,0
mov     hWndBUAudioEncoderCancel,eax
;---
call    SubAudioEncoderDialog
invoke  SendMessage,hWndLVAudioEncoder,LVM_GETITEMCOUNT,0,0
cmp     eax,0
jne     DP_WM_INITDIALOGGo
invoke  SendMessage,DP_hWnd,WM_COMMAND,WM_CLOSE,0
jmp     DP_Return1
;---
DP_WM_INITDIALOGGo:
mov     lvi.state,LVIS_FOCUSED or LVIS_SELECTED
mov     lvi.stateMask,LVIS_FOCUSED or LVIS_SELECTED
invoke  SendMessage,hWndLVAudioEncoder,LVM_SETITEMSTATE,iAudioEncoderParameter,ADDR lvi
invoke  SendMessage,hWndLVAudioEncoder,LVM_ENSUREVISIBLE,iAudioEncoderParameter,0
;---
jmp     DP_Return1

; -------------------------------------------------------------------------
DP_WM_CLOSE:
cmp     eax,WM_CLOSE
jne     DP_WM_COMMAND
; -------------------------------------------------------------------------
invoke  DestroyWindow,hWndLVAudioEncoder
invoke  DestroyWindow,hWndBUAudioEncoderDefault
invoke  DestroyWindow,hWndBUAudioEncoderOK
invoke  DestroyWindow,hWndBUAudioEncoderCancel
invoke  EndDialog,DP_hWnd,0
jmp     DP_Return0

; -------------------------------------------------------------------------
DP_WM_COMMAND:
cmp     eax,WM_COMMAND
jne     DP_Return0
mov     eax,WP_wParam                           ; control or menu ID in ax
; -------------------------------------------------------------------------
DP_WM_COMMAND_Default:
cmp     ax,2502
jne     DP_WM_COMMAND_OK
mov     iAudioEncoderParameter,0
mov     lvi.state,LVIS_FOCUSED or LVIS_SELECTED
mov     lvi.stateMask,LVIS_FOCUSED or LVIS_SELECTED
invoke  SendMessage,hWndLVAudioEncoder,LVM_SETITEMSTATE,iAudioEncoderParameter,ADDR lvi
invoke  SendMessage,hWndLVAudioEncoder,LVM_ENSUREVISIBLE,iAudioEncoderParameter,0
jmp     DP_Return
;---
DP_WM_COMMAND_OK:
cmp     ax,2504
jne     DP_WM_COMMAND_Cancel
invoke  SendMessage,hWndLVAudioEncoder,LVM_GETNEXTITEM,-1,LVIS_FOCUSED
mov     iAudioEncoderParameter,eax
invoke  SendMessage,DP_hWnd,WM_CLOSE,0,0
jmp     DP_Return
;---
DP_WM_COMMAND_Cancel:
cmp     ax,2506
jne     DP_Return0
invoke  SendMessage,DP_hWnd,WM_CLOSE,0,0
jmp     DP_Return

; -------------------------------------------------------------------------
DP_Return:
; -------------------------------------------------------------------------
mov     esp,ebp
pop     ebp
ret     10h
; -------------------------------------------------------------------------
DP_Return0:
; -------------------------------------------------------------------------
mov     eax,0
mov     esp,ebp
pop     ebp
ret     10h
; -------------------------------------------------------------------------
DP_Return1:
; -------------------------------------------------------------------------
mov     eax,1
mov     esp,ebp
pop     ebp
ret     10h



; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
WP:                                             ; Window Procedure
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
push    ebp
mov     ebp,esp
pushad
mov     eax,WP_uMsg
; -------------------------------------------------------------------------
WP_WM_CREATE:
cmp     eax,WM_CREATE
jne     WP_WM_DESTROY
; -------------------------------------------------------------------------
mov     eax,WP_hWnd
mov     hWndMain,eax
call    SubWM_Create
call    SubBagVideoDevice
call    SubBagVideoEncoder
call    SubBagAudioDevice
call    SubBagAudioEncoder
call    SubRelease
;---
invoke  SendMessage,hWndCBBagVideoDevice,CB_SETCURSEL,0,0
mov     ebx,CBN_SELCHANGE
shl     ebx,16
mov     bx,2000
invoke  SendMessage,WP_hWnd,WM_COMMAND,ebx,hWndCBBagVideoDevice
;---
invoke  SendMessage,hWndCBBagVideoEncoder,CB_SETCURSEL,0,0
mov     ebx,CBN_SELCHANGE
shl     ebx,16
mov     bx,2010
invoke  SendMessage,WP_hWnd,WM_COMMAND,ebx,hWndCBBagVideoEncoder
;---
invoke  SendMessage,hWndCBBagAudioDevice,CB_SETCURSEL,0,0
mov     ebx,CBN_SELCHANGE
shl     ebx,16
mov     bx,2100
invoke  SendMessage,WP_hWnd,WM_COMMAND,ebx,hWndCBBagAudioDevice
;---
invoke  SendMessage,hWndCBBagAudioEncoder,CB_SETCURSEL,0,0
mov     ebx,CBN_SELCHANGE
shl     ebx,16
mov     bx,2110
invoke  SendMessage,WP_hWnd,WM_COMMAND,ebx,hWndCBBagAudioEncoder
;---
jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_DESTROY:
cmp     eax,WM_DESTROY
jne     WP_WM_SYSCOMMAND
; -------------------------------------------------------------------------
invoke  PostQuitMessage,0
popad
xor     eax,eax
mov     esp,ebp
pop     ebp
ret     10h

; -------------------------------------------------------------------------
WP_WM_SYSCOMMAND:
cmp     eax,WM_SYSCOMMAND
jne     WP_WM_SIZE
; -------------------------------------------------------------------------
mov     eax,WP_wParam
cmp     eax,SC_CLOSE
jne     WP_WM_SYSCOMMAND_Target
invoke  AnimateWindow,WP_hWnd,500,AW_HIDE or AW_BLEND
call    SubCleanSystem
jmp     WP_Return
;---
WP_WM_SYSCOMMAND_Target:
cmp     ax,1050
jne     WP_WM_SYSCOMMAND_Audio
call    SubBrowseForFolder
jmp     WP_Return
;---
WP_WM_SYSCOMMAND_Audio:
cmp     ax,1051
jne     WP_WM_SYSCOMMAND_Coma
invoke  ShellExecute,WP_hWnd,ADDR szOpen,ADDR szControl,ADDR szMmsysCpl,ADDR BufferSystemDir,SW_SHOWNORMAL
cmp     eax,32
ja      WP_Return
call    SubGetLastError
jmp     WP_Return
;---
WP_WM_SYSCOMMAND_Coma:
cmp     ax,1052
jne     WP_WM_SYSCOMMAND_About
invoke  ShellExecute,WP_hWnd,0,ADDR szURLComa,0,0,0
cmp     eax,32
ja      WP_Return
call    SubGetLastError
jmp     WP_Return
;---
WP_WM_SYSCOMMAND_About:
cmp     ax,1053
jne     WP_Return
invoke  MessageBox,WP_hWnd,ADDR szAboutText,ADDR szAboutInfo,MB_OK or MB_ICONINFORMATION or MB_SYSTEMMODAL or MB_TOPMOST
jmp     WP_Return


; -------------------------------------------------------------------------
WP_WM_SIZE:
cmp     eax,WM_SIZE
jne     WP_WM_PAINT
; -------------------------------------------------------------------------

jmp     WP_Return0

; -------------------------------------------------------------------------
WP_WM_PAINT:
cmp     eax,WM_PAINT
jne     WP_WM_NOTIFY
; -------------------------------------------------------------------------
invoke  BeginPaint,WP_hWnd,ADDR ps
mov     ebx,eax
invoke  CreatePen,PS_SOLID,1,00C8C8C8h
mov     hPen,eax
invoke  SelectObject,ebx,hPen
mov     hObjectOld,eax
invoke  MoveToEx,ebx,4,304,0
invoke  LineTo,ebx,500,304
invoke  MoveToEx,ebx,4,349,0
invoke  LineTo,ebx,500,349
invoke  DeleteObject,hPen
invoke  SelectObject,ebx,hObjectOld
invoke  SelectObject,ebx,hFntDefGui
mov     hObjectOld,eax
invoke  SetTextColor,ebx,00FFFFFFh
invoke  SetBkMode,ebx,TRANSPARENT
invoke  TextOut,ebx,371,36,ADDR szAviOpenDMLFormat,24
invoke  TextOut,ebx,21,315,ADDR szFrame,5
invoke  TextOut,ebx,21,330,ADDR szVideo,5
invoke  TextOut,ebx,59,307,ADDR szStartDateAndStartTime,23
invoke  TextOut,ebx,184,307,ADDR szEndDateAndEndTime,19
invoke  lstrlen,ADDR BufferTargetDir
invoke  TextOut,ebx,4,356,ADDR BufferTargetDir,eax
invoke  DeleteObject,hFntDefGui
invoke  SelectObject,ebx,hObjectOld
invoke  PatBlt,ebx,24,56,320,240,BLACKNESS
invoke  EndPaint,WP_hWnd,ADDR ps
jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_NOTIFY:
cmp     eax,WM_NOTIFY
jne     WP_WM_DISPLAYCHANGE
; -------------------------------------------------------------------------
mov     ebx,WP_lParam 
;---
WP_WM_NOTIFY_DTStart:
mov     eax,[ebx+0]
cmp     eax,hWndDTStart
jne     WP_WM_NOTIFY_DTEnd
;---
mov     eax,[ebx+8]
cmp     eax,DTN_DATETIMECHANGE
jne     WP_Return
;---
mov     eax,[ebx+12]
cmp     eax,GDT_VALID
jne     WP_Return
invoke  SendMessage,hWndDTStart,DTM_GETSYSTEMTIME,0,ADDR _stDTStart
mov     ax,0
mov     _stDTStart.wSecond,ax
mov     _stDTStart.wMilliseconds,ax
jmp     WP_Return
;---
WP_WM_NOTIFY_DTEnd:
mov     eax,[ebx+0]
cmp     eax,hWndDTEnd
jne     WP_Return
mov     eax,[ebx+8]
cmp     eax,DTN_DATETIMECHANGE
jne     WP_Return
;---
mov     eax,[ebx+12]
cmp     eax,GDT_VALID
jne     WP_Return
invoke  SendMessage,hWndDTEnd,DTM_GETSYSTEMTIME,0,ADDR _stDTEnd
mov     ax,0
mov     _stDTEnd.wSecond,ax
mov     _stDTEnd.wMilliseconds,ax
jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_DISPLAYCHANGE:
cmp     eax,WM_DISPLAYCHANGE
jne     WP_WM_NCMOUSEMOVE
; -------------------------------------------------------------------------
invoke  InvalidateRect,WP_hWnd,0,0
jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_NCMOUSEMOVE:
cmp     eax,WM_NCMOUSEMOVE
jne     WP_WM_USER
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_USER:
cmp     eax,1280
jne     WP_WM_COMMAND
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_COMMAND:
cmp     eax,WM_COMMAND
jne     WP_WM_TIMER
mov     eax,WP_wParam                           ; control or menu ID in ax
; -------------------------------------------------------------------------
WP_WM_COMMAND_2000:
cmp     ax,2000
jne     WP_WM_COMMAND_2010
mov     eax,WP_wParam
shr     eax,16
cmp     eax,CBN_SELCHANGE
jne     WP_Return
invoke  SendMessage,hWndCBBagVideoDevice,CB_GETCURSEL,0,0
cmp     eax,CB_ERR
je      WP_Return
cmp     eax,0
ja      WP_WM_COMMAND_2000_Connect
WP_WM_COMMAND_2000_Disconnect:
mov     iVideoDevice,0
call    SubSetControlsDevice
jmp     WP_Return
WP_WM_COMMAND_2000_Connect:
mov     iVideoDevice,eax
invoke  RtlZeroMemory,ADDR BufferState,sizeof BufferState
invoke  RtlZeroMemory,ADDR BufferCaptureAM_MEDIA_TYPE,sizeof BufferCaptureAM_MEDIA_TYPE
call    SubSetControlsDevice
jmp     WP_Return
;---
WP_WM_COMMAND_2010:
cmp     ax,2010
jne     WP_WM_COMMAND_2100
mov     eax,WP_wParam
shr     eax,16
cmp     eax,CBN_SELCHANGE
jne     WP_Return
invoke  SendMessage,hWndCBBagVideoEncoder,CB_GETCURSEL,0,0
cmp     eax,CB_ERR
je      WP_Return
cmp     eax,0
ja      WP_WM_COMMAND_2010_Connect
WP_WM_COMMAND_2010_Disconnect:
mov     iVideoEncoder,0
invoke  EnableWindow,hWndBUVideoEncoder,0
jmp     WP_Return
WP_WM_COMMAND_2010_Connect:
mov     iVideoEncoder,eax
invoke  EnableWindow,hWndBUVideoEncoder,1
jmp     WP_Return
;---
WP_WM_COMMAND_2100:
cmp     ax,2100
jne     WP_WM_COMMAND_2110
mov     eax,WP_wParam
shr     eax,16
cmp     eax,CBN_SELCHANGE
jne     WP_Return
invoke  SendMessage,hWndCBBagAudioDevice,CB_GETCURSEL,0,0
cmp     eax,CB_ERR
je      WP_Return
cmp     eax,0
ja      WP_WM_COMMAND_2100_Connect
WP_WM_COMMAND_2100_Disconnect:
mov     iAudioDevice,0
call    SubSetControlsDevice
jmp     WP_Return
WP_WM_COMMAND_2100_Connect:
mov     iAudioDevice,eax
call    SubSetControlsDevice
jmp     WP_Return
;---
WP_WM_COMMAND_2110:
cmp     ax,2110
jne     WP_WM_COMMAND_2300
mov     eax,WP_wParam
shr     eax,16
cmp     eax,CBN_SELCHANGE
jne     WP_Return
invoke  SendMessage,hWndCBBagAudioEncoder,CB_GETCURSEL,0,0
cmp     eax,CB_ERR
je      WP_Return
cmp     eax,0
ja      WP_WM_COMMAND_2110_Connect
WP_WM_COMMAND_2110_Disconnect:
mov     iAudioEncoder,0
mov     iAudioEncoderParameter,0
invoke  EnableWindow,hWndBUAudioEncoder,0
jmp     WP_Return
WP_WM_COMMAND_2110_Connect:
mov     iAudioEncoder,eax
mov     iAudioEncoderParameter,0
invoke  EnableWindow,hWndBUAudioEncoder,1
jmp     WP_Return
;---
WP_WM_COMMAND_2300:
cmp     ax,2300
jne     WP_WM_COMMAND_2350
invoke  ShellExecute,WP_hWnd,0,ADDR szURLComa,0,0,0
cmp     eax,32
ja      WP_Return
call    SubGetLastError
jmp     WP_Return
;---
WP_WM_COMMAND_2350:
cmp     ax,2350
jne     WP_WM_COMMAND_2400
xor     fAviFormat,1
jmp     WP_Return
;---
WP_WM_COMMAND_2400:
cmp     ax,2400
jne     WP_WM_COMMAND_2401
call    SubGraph
call    SubAddVideoDevice
call    SubVideoStreamConfiguration
call    SubRelease
jmp     WP_Return
;---
WP_WM_COMMAND_2401:
cmp     ax,2401
jne     WP_WM_COMMAND_2402
call    SubGraph
call    SubAddVideoDevice
call    SubVideoFilterPropertyPages
call    SubRelease
jmp     WP_Return
;---
WP_WM_COMMAND_2402:
cmp     ax,2402
jne     WP_WM_COMMAND_2403
call    SubGraph
call    SubAddAudioDevice
call    SubAudioFilterPropertyPages
call    SubRelease
jmp     WP_Return
;---
WP_WM_COMMAND_2403:
cmp     ax,2403
jne     WP_WM_COMMAND_2404
call    SubGraph
call    SubAddVideoEncoder
call    SubVideoEncoderDialog
call    SubRelease
jmp     WP_Return
;---
WP_WM_COMMAND_2404:
cmp     ax,2404
jne     WP_WM_COMMAND_2410
call    SubGraph
call    SubAddVideoDevice
call    SubAddVideoEncoder
call    SubAddAudioDevice
call    SubAddAudioEncoder
call    SubRenderCapture
invoke  DialogBoxParam,wc.hInstance,5000,WP_hWnd,ADDR DP,0
call    SubRelease
jmp     WP_Return
;---
WP_WM_COMMAND_2410:
cmp     ax,2410
jne     WP_WM_COMMAND_2420
cmp     fPreview,0
je      WP_WM_COMMAND_2410_PreviewStart
cmp     fPreview,1
je      WP_WM_COMMAND_2410_PreviewStop
jmp     WP_Return
WP_WM_COMMAND_2410_PreviewStop:
call    SubStopPreview
call    SubRelease
jmp     WP_Return
WP_WM_COMMAND_2410_PreviewStart:
call    SubGraph
call    SubAddVideoDevice
call    SubAddAudioDevice
mov     fAudio,1
call    SubRenderPreview
call    SubWindow
call    SubDisableControlsPreview
call    SubStartPreview
jmp     WP_Return
;---
WP_WM_COMMAND_2420:
cmp     ax,2420
jne     WP_WM_COMMAND_2430
call    SubGraph
call    SubAddVideoDevice
call    SubAddAudioDevice
call    SubAddVideoEncoder
call    SubAddAudioEncoder
call    SubVideoStreamConfigurationParameter
call    SubVideoEncoderParameter
call    SubRenderCapture
mov     fAudio,0
call    SubRenderPreview
call    SubWindow
call    SubDisableControlsCapture
call    SubStartCapture
jmp     WP_Return
;---
WP_WM_COMMAND_2430:
cmp     ax,2430
jne     WP_WM_COMMAND_2450
call    SubStopCapture
call    SubRelease
jmp     WP_Return
;---
WP_WM_COMMAND_2450:
cmp     ax,2450
jne     WP_WM_COMMAND_2451
mov     fAutoCaptureMode,0

jmp     WP_Return
;---
WP_WM_COMMAND_2451:
cmp     ax,2451
jne     WP_WM_COMMAND_2490
mov     fAutoCaptureMode,1

jmp     WP_Return
;---
WP_WM_COMMAND_2490:
cmp     ax,2490
jne     WP_Return
call    SubLocalStartTime
call    SubLocalEndTime
invoke  CompareFileTime,ADDR ftStart,ADDR ftEnd
cmp     eax,0
je      WP_WM_COMMAND_2490_ParameterError
cmp     eax,+1
je      WP_WM_COMMAND_2490_ParameterError
invoke  GetLocalTime,ADDR _st
invoke  TzSpecificLocalTimeToSystemTime,0,ADDR _st,ADDR _stOut
invoke  SystemTimeToFileTime,ADDR _stOut,ADDR ft
invoke  CompareFileTime,ADDR ft,ADDR ftEnd
cmp     eax,+1
je      WP_WM_COMMAND_2490_ParameterError
;---
cmp     fAutoCaptureMode,0
je      WP_WM_COMMAND_2490_AutoFrameCapture
cmp     fAutoCaptureMode,1
je      WP_WM_COMMAND_2490_AutoAviCapture
jmp     WP_Return
;---                                                                            ;Start: Frame Capture is not included in this version
WP_WM_COMMAND_2490_AutoFrameCapture:
cmp     fAutoCapture,0
je      WP_WM_COMMAND_2490_AutoFrameCaptureON
WP_WM_COMMAND_2490_AutoFrameCaptureOFF:

jmp     WP_Return
WP_WM_COMMAND_2490_AutoFrameCaptureON:
invoke  SendMessage,hWndUDInterval,UDM_GETPOS,0,0
mov     ebx,eax
shr     ebx,16
cmp     ebx,0
je      WP_WM_COMMAND_2490_AutoFrameCaptureONGo
call    SubGetLastError
jmp     WP_Return
WP_WM_COMMAND_2490_AutoFrameCaptureONGo:

jmp     WP_Return
;---                                                                            ;End: Frame Capture is not included in this version
WP_WM_COMMAND_2490_AutoAviCapture:
cmp     fAutoCapture,0
je      WP_WM_COMMAND_2490_AutoAviCaptureON
WP_WM_COMMAND_2490_AutoAviCaptureOFF:
call    SubStopCapture
call    SubRelease
mov     fAutoCapture,0
jmp     WP_Return
WP_WM_COMMAND_2490_AutoAviCaptureON:
call    SubGraph
call    SubAddVideoDevice
call    SubAddAudioDevice
call    SubAddVideoEncoder
call    SubAddAudioEncoder
call    SubVideoStreamConfigurationParameter
call    SubVideoEncoderParameter
call    SubRenderCapture
mov     fAudio,0
call    SubRenderPreview
call    SubWindow
call    SubDisableControlsAutoCapture
mov     fCapture,1
mov     fAutoCapture,1
jmp     WP_Return
WP_WM_COMMAND_2490_ParameterError:
invoke  SendMessage,hWndSB,SB_SETTEXT,0,ADDR szParameterError
jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_TIMER:
cmp     eax,WM_TIMER
jne     WP_WM_CTLCOLORBTN
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_CTLCOLORBTN:
cmp     eax,WM_CTLCOLORBTN
jne     WP_WM_CTLCOLORSTATIC
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_CTLCOLORSTATIC:
cmp     eax,WM_CTLCOLORSTATIC
jne     WP_WM_CTLCOLOREDIT
; -------------------------------------------------------------------------
mov     eax,WP_lParam
cmp     eax,hWndBUAutoCaptureFrame
je      WP_WM_CTLCOLORSTATIC_Go
cmp     eax,hWndBUAutoCaptureVideo
je      WP_WM_CTLCOLORSTATIC_Go
cmp     eax,hWndBUOpenDML
je      WP_WM_CTLCOLORSTATIC_Go
jmp     WP_Return
WP_WM_CTLCOLORSTATIC_Go:
mov     eax,hBrBackground
mov     ReturnEAX,eax
jmp     WP_ReturnEAX

; -------------------------------------------------------------------------
WP_WM_CTLCOLOREDIT:
cmp     eax,WM_CTLCOLOREDIT
jne     WP_WM_CTLCOLORLISTBOX
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_CTLCOLORLISTBOX:
cmp     eax,WM_CTLCOLORLISTBOX
jne     WP_WM_WINDOWPOSCHANGING
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_WINDOWPOSCHANGING:
cmp     eax,WM_WINDOWPOSCHANGING
jne     WP_WM_DRAWITEM
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_DRAWITEM:
cmp     eax,WM_DRAWITEM
jne     WP_WM_PARENTNOTIFY
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_PARENTNOTIFY:
cmp     eax,WM_PARENTNOTIFY
jne     WP_WM_RBUTTONDOWN
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_RBUTTONDOWN:
cmp     eax,WM_RBUTTONDOWN
jne     WP_WM_MOUSEMOVE
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_MOUSEMOVE:
cmp     eax,WM_MOUSEMOVE
jne     WP_WM_CONTEXTMENU
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_CONTEXTMENU:
cmp     eax,WM_CONTEXTMENU
jne     WP_WM_POWERBROADCAST
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_POWERBROADCAST:
cmp     eax,WM_POWERBROADCAST
jne     WP_WM_ERASEBKGND
; -------------------------------------------------------------------------
mov     eax,WP_wParam
cmp     eax,PBT_APMRESUMESUSPEND
jne     WP_Return
mov     eax,WP_lParam
cmp     eax,PBTF_APMRESUMEFROMFAILURE
je      WP_Return
invoke  RedrawWindow,WP_hWnd,0,0,RDW_ERASE or RDW_INVALIDATE or RDW_UPDATENOW
jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_ERASEBKGND:
cmp     eax,WM_ERASEBKGND
jne     WP_WM_ACTIVATE
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_ACTIVATE:
cmp     eax,WM_ACTIVATE
jne     WP_WM_HSCROLL
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_HSCROLL:
cmp     eax,WM_HSCROLL
jne     WP_WM_VSCROLL
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_VSCROLL:
cmp     eax,WM_VSCROLL
jne     WP_WM_SYNCPAINT
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_WM_SYNCPAINT:
cmp     eax,WM_SYNCPAINT
jne     WP_Return
; -------------------------------------------------------------------------

jmp     WP_Return

; -------------------------------------------------------------------------
WP_Return:
; -------------------------------------------------------------------------
popad
invoke  DefWindowProc,WP_hWnd,WP_uMsg,WP_wParam,WP_lParam
mov     esp,ebp
pop     ebp
ret     10h
; -------------------------------------------------------------------------
WP_Return0:
; -------------------------------------------------------------------------
popad
mov     eax,0
mov     esp,ebp
pop     ebp
ret     10h
; -------------------------------------------------------------------------
WP_Return1:
; -------------------------------------------------------------------------
popad
mov     eax,1
mov     esp,ebp
pop     ebp
ret     10h
; -------------------------------------------------------------------------
WP_ReturnEAX:
; -------------------------------------------------------------------------
popad
mov     eax,ReturnEAX
mov     esp,ebp
pop     ebp
ret     10h
; -------------------------------------------------------------------------



; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
; SubRoutines
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

;--------------------------------------------------------------------------
SubGetSystemMetrics:
;--------------------------------------------------------------------------
invoke  GetSystemMetrics,SM_CXSCREEN
cmp     eax,XmaxWindow
jbe     SubGetSystemMetricsRet
shr     eax,1
mov     ebx,XmaxWindow
shr     ebx,1
sub     eax,ebx
mov     XorgWindow,eax
invoke  GetSystemMetrics,SM_CYSCREEN
cmp     eax,YmaxWindow
jbe     SubGetSystemMetricsRet
shr     eax,1
mov     ebx,YmaxWindow
shr     ebx,1
sub     eax,ebx
mov     YorgWindow,eax
;---
SubGetSystemMetricsRet:
ret

; -------------------------------------------------------------------------
SubWM_Create:
;--------------------------------------------------------------------------
invoke  GetSystemDirectory,ADDR BufferSystemDir,MAX_PATHEX
invoke  PathAddBackslash,ADDR BufferSystemDir
invoke  GetCurrentDirectory,MAX_PATHEX,ADDR BufferTargetDir
invoke  PathAddBackslash,ADDR BufferTargetDir
invoke  GetTempPath,MAX_PATHEX,ADDR BufferTempPath
invoke  PathAddBackslash,ADDR BufferTempPath
invoke  CreateSolidBrush,00000000h
mov     hBr00000000,eax
invoke  GetStockObject,DEFAULT_GUI_FONT
mov     hFntDefGui,eax
invoke  SendMessage,WP_hWnd,WM_SETFONT,hFntDefGui,1
call    SubCreateSysMenu
;---
invoke  CreateWindowEx,0,ADDR szCN_Combobox,0,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_BORDER or WS_VSCROLL or CBS_NOINTEGRALHEIGHT or CBS_DROPDOWNLIST,16,5,160,364,WP_hWnd,2000,wc.hInstance,0
mov     hWndCBBagVideoDevice,eax
invoke  SendMessage,hWndCBBagVideoDevice,WM_SETFONT,hFntDefGui,1h
;---
invoke  CreateWindowEx,0,ADDR szCN_Combobox,0,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or WS_BORDER or WS_VSCROLL or CBS_NOINTEGRALHEIGHT or CBS_DROPDOWNLIST,184,5,160,364,WP_hWnd,2010,wc.hInstance,0
mov     hWndCBBagVideoEncoder,eax
invoke  SendMessage,hWndCBBagVideoEncoder,WM_SETFONT,hFntDefGui,1h
;---
invoke  CreateWindowEx,0,ADDR szCN_Combobox,0,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_BORDER or WS_VSCROLL or CBS_NOINTEGRALHEIGHT or CBS_DROPDOWNLIST,16,29,160,364,WP_hWnd,2100,wc.hInstance,0
mov     hWndCBBagAudioDevice,eax
invoke  SendMessage,hWndCBBagAudioDevice,WM_SETFONT,hFntDefGui,1h
;---
invoke  CreateWindowEx,0,ADDR szCN_Combobox,0,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_BORDER or WS_VSCROLL or CBS_NOINTEGRALHEIGHT or CBS_DROPDOWNLIST,184,29,160,364,WP_hWnd,2110,wc.hInstance,0
mov     hWndCBBagAudioEncoder,eax
invoke  SendMessage,hWndCBBagAudioEncoder,WM_SETFONT,hFntDefGui,1h
;---
invoke  CreateWindowEx,0,ADDR szCN_Static,ADDR szLogo,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_BORDER or SS_BITMAP or SS_NOTIFY,359,5,0,0,WP_hWnd,2300,wc.hInstance,0
mov     hWndSTLogo,eax
;---
invoke  CreateWindowEx,0,ADDR szCN_Button,0,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or BS_AUTOCHECKBOX,355,35,15,15,WP_hWnd,2350,wc.hInstance,0
mov     hWndBUOpenDML,eax
;---
invoke  CreateWindowEx,0,ADDR szCN_Button,ADDR szCapturePin,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or BS_PUSHBUTTON,368,55,120,24,WP_hWnd,2400,wc.hInstance,0
mov     hWndBUCapturePin,eax
;---
invoke  CreateWindowEx,0,ADDR szCN_Button,ADDR szVideoFilter,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or BS_PUSHBUTTON,368,86,120,24,WP_hWnd,2401,wc.hInstance,0
mov     hWndBUVideoFilter,eax
;---
invoke  CreateWindowEx,0,ADDR szCN_Button,ADDR szAudioFilter,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or BS_PUSHBUTTON,368,117,120,24,WP_hWnd,2402,wc.hInstance,0
mov     hWndBUAudioFilter,eax
;---
invoke  CreateWindowEx,0,ADDR szCN_Button,ADDR szVideoEncoder,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or BS_PUSHBUTTON,368,148,120,24,WP_hWnd,2403,wc.hInstance,0
mov     hWndBUVideoEncoder,eax
;---
invoke  CreateWindowEx,0,ADDR szCN_Button,ADDR szAudioEncoder,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or BS_PUSHBUTTON,368,179,120,24,WP_hWnd,2404,wc.hInstance,0
mov     hWndBUAudioEncoder,eax
;---
invoke  CreateWindowEx,0,ADDR szCN_Button,ADDR szPreview,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or BS_PUSHBUTTON,368,210,120,24,WP_hWnd,2410,wc.hInstance,0
mov     hWndBUPreview,eax
invoke  CreateWindowEx,0,ADDR szCN_Button,ADDR szStartCapture,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or BS_PUSHBUTTON,368,241,120,24,WP_hWnd,2420,wc.hInstance,0
mov     hWndBUCaptureStart,eax
invoke  CreateWindowEx,0,ADDR szCN_Button,ADDR szStopCapture,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or BS_PUSHBUTTON,368,272,120,24,WP_hWnd,2430,wc.hInstance,0
mov     hWndBUCaptureStop,eax
;---
invoke  CreateWindowEx,0,ADDR szCN_Statusbar,ADDR szWN,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or SBARS_SIZEGRIP,0,512,720,24,WP_hWnd,2200,wc.hInstance,0
mov     hWndSB,eax
invoke  SendMessage,hWndSB,WM_SETFONT,hFntDefGui,1
invoke  SendMessage,hWndSB,SB_SETPARTS,4,ADDR SBParts
invoke  SendMessage,hWndSB,SB_SETTEXT,1,ADDR szConnectOFF
invoke  SendMessage,hWndSB,SB_SETTEXT,2,ADDR szPreviewOFF
invoke  SendMessage,hWndSB,SB_SETTEXT,3,ADDR szCaptureOFF
;---
invoke  CreateWindowEx,0,ADDR szCN_DateTimePick,0,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or DTS_SHORTDATECENTURYFORMAT or DTS_TIMEFORMAT,55,321,119,21,WP_hWnd,2470,wc.hInstance,0
mov     hWndDTStart,eax
invoke  SendMessage,hWndDTStart,DTM_SETFORMAT,0,ADDR szDTFormat
invoke  SendMessage,hWndDTStart,DTM_GETSYSTEMTIME,0,ADDR _stDTStart
mov     ax,0
mov     _stDTStart.wSecond,ax
mov     _stDTStart.wMilliseconds,ax
invoke  CreateWindowEx,0,ADDR szCN_DateTimePick,0,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or DTS_SHORTDATECENTURYFORMAT or DTS_TIMEFORMAT,176,321,119,21,WP_hWnd,2480,wc.hInstance,0
mov     hWndDTEnd,eax
invoke  SendMessage,hWndDTEnd,DTM_SETFORMAT,0,ADDR szDTFormat
invoke  SendMessage,hWndDTEnd,DTM_GETSYSTEMTIME,0,ADDR _stDTEnd
mov     ax,0
mov     _stDTEnd.wSecond,ax
mov     _stDTEnd.wMilliseconds,ax
;---
invoke  CreateWindowEx,0,ADDR szCN_Button,ADDR szAutoCapture,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or BS_PUSHBUTTON,368,315,120,24,WP_hWnd,2490,wc.hInstance,0
mov     hWndBUAutoCapture,eax
invoke  CreateWindowEx,0,ADDR szCN_Button,0,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or WS_GROUP or BS_AUTORADIOBUTTON,5,315,12,15,WP_hWnd,2450,wc.hInstance,0
mov     hWndBUAutoCaptureFrame,eax
invoke  CreateWindowEx,0,ADDR szCN_Button,0,WS_CHILD or WS_VISIBLE or WS_CLIPSIBLINGS or WS_DISABLED or BS_AUTORADIOBUTTON,5,330,12,15,WP_hWnd,2451,wc.hInstance,0
mov     hWndBUAutoCaptureVideo,eax
invoke  SendMessage,hWndBUAutoCaptureVideo,BM_SETCHECK,BST_CHECKED,0
;---
invoke  CreateWindowEx,WS_EX_TOPMOST,ADDR szCN_ToolTips,0,WS_VISIBLE or WS_POPUP or TTS_NOPREFIX or TTS_ALWAYSTIP or TTS_BALLOON,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,0,0,wc.hInstance,0
mov     hWndTT,eax
invoke  SetWindowPos,hWndTT,HWND_TOPMOST ,0,0,0,0,SWP_NOMOVE or SWP_NOSIZE or SWP_NOACTIVATE
invoke  SendMessage,hWndTT,TTM_SETTITLE,1,ADDR szComaHome
mov     ti.cbSize,sizeof ti
mov     eax,WP_hWnd
mov     ti.hWnd,eax 
mov     ti.uFlags,TTF_SUBCLASS or TTF_IDISHWND
mov     eax,hWndSTLogo
mov     ti.uId,eax
mov     ti.lpszText,OFFSET szURLComa
invoke  SendMessage,hWndTT,TTM_ADDTOOL,0,ADDR ti
;---
mov     eax,WP_hWnd                                                             ;Bugfix starts here, Microsoft doesn't solve it since years !
mov     ti.uId,eax
mov     ti.lpszText,OFFSET szNull
invoke  SendMessage,hWndTT,TTM_ADDTOOL,0,ADDR ti                                ;Bugfix ends here
invoke  SendMessage,hWndTT,TTM_ACTIVATE,1,ADDR ti
;---
invoke  timeGetDevCaps,ADDR tc,sizeof TIMECAPS
invoke  timeSetEvent,1000,tc.wPeriodMin,ADDR TP,0,TIME_PERIODIC
mov     IdTimer,eax
;---
ret

; -------------------------------------------------------------------------
SubCreateSysMenu:
;--------------------------------------------------------------------------
invoke  GetSystemMenu,WP_hWnd,0
mov     hSysMenu,eax
invoke  AppendMenu,hSysMenu,MF_SEPARATOR,0,0
invoke  AppendMenu,hSysMenu,MF_STRING,1050,ADDR szTargetFolder
invoke  AppendMenu,hSysMenu,MF_SEPARATOR,0,0
invoke  AppendMenu,hSysMenu,MF_STRING,1051,ADDR szAudioProperties
invoke  AppendMenu,hSysMenu,MF_SEPARATOR,0,0
invoke  AppendMenu,hSysMenu,MF_STRING,1052,ADDR szComaHome
invoke  AppendMenu,hSysMenu,MF_SEPARATOR,0,0
invoke  AppendMenu,hSysMenu,MF_STRING,1053,ADDR szAbout
ret

; -------------------------------------------------------------------------
SubBrowseForFolder:
;--------------------------------------------------------------------------
mov     eax,WP_hWnd
mov     bi.hwndOwner,eax
mov     bi.pidlRoot,CSIDL_DESKTOP
mov     bi.pszDisplayName,OFFSET BufferTmp0
mov     bi.lpszTitle,OFFSET szSelectTargetFolder
mov     bi.ulFlags,BIF_BROWSEINCLUDEURLS or BIF_RETURNONLYFSDIRS
invoke  SHBrowseForFolder,ADDR bi
cmp     eax,0
je      SubBrowseForFolderReturn
invoke  SHGetPathFromIDList,eax,ADDR BufferTmp1
cmp     eax,1
jne     SubBrowseForFolderReturn
invoke  lstrcpy,ADDR BufferTargetDir,ADDR BufferTmp1
invoke  PathAddBackslash,ADDR BufferTargetDir
invoke  InvalidateRect,WP_hWnd,0,1
;---
SubBrowseForFolderReturn:
ret

; -------------------------------------------------------------------------
SubGraph:
;--------------------------------------------------------------------------
invoke  lstrcpy,ADDR BufferError,ADDR szErrorGraph
;---
invoke  CoCreateInstance,ADDR CLSID_FilterGraph,0,CLSCTX_INPROC_SERVER,ADDR IID_IGraphBuilder,ADDR pGraph
cmp     eax,S_OK
jne     SubGetLastError
;---
invoke  CoCreateInstance,ADDR CLSID_CaptureGraphBuilder2,0,CLSCTX_INPROC_SERVER,ADDR IID_ICaptureGraphBuilder2,ADDR pBuilder
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pBuilder
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).SetFiltergraph,pBuilder,pGraph
cmp     eax,S_OK
jne     SubGetLastError
;---
ret

; -------------------------------------------------------------------------
SubBagVideoDevice:
;--------------------------------------------------------------------------
invoke  SendMessage,hWndCBBagVideoDevice,CB_ADDSTRING,0,ADDR szNoVideoDevice
invoke  lstrcpy,ADDR BufferError,ADDR szErrorBagVideoDevice
;---
invoke  CoCreateInstance,ADDR CLSID_SystemDeviceEnum,0,CLSCTX_INPROC_SERVER,ADDR IID_ICreateDevEnum,ADDR pDevEnum
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).CreateClassEnumerator,pDevEnum,ADDR CLSID_VideoInputDeviceCategory,ADDR pClassEnum,0
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     esi,0
SubBagVideoDeviceLoop:
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (IEnumMoniker PTR [ebx]).Next,pClassEnum,1,ADDR pMoniker,ADDR pcFetched
cmp     eax,S_OK
jne     SubBagVideoDeviceDone
cmp     pcFetched,1
jne     SubBagVideoDeviceDone
;---
mov     eax,pMoniker
mov     ebx,[eax]
invoke  (IMoniker PTR [ebx]).BindToStorage,pMoniker,0,0,ADDR IID_IPropertyBag,ADDR pPropBag
cmp     eax,S_OK
jne     SubGetLastError
;---
invoke  MultiByteToWideChar,CP_ACP,0,ADDR szFriendlyName,-1,ADDR BufferWideChar,MAX_PATH
cmp     eax,0
je      SubGetLastError
;---
mov     vt.vt,VT_BSTR
mov     vt.parray,0
mov     eax,pPropBag
mov     ebx,[eax]
invoke  (IPropertyBag PTR [ebx]).Read,pPropBag,ADDR BufferWideChar,ADDR vt,0
cmp     eax,S_OK
jne     SubGetLastError
;---
invoke  WideCharToMultiByte,CP_ACP,0,vt.parray,-1,ADDR BufferTmp0,MAX_PATH,0,0
cmp     eax,0
je      SubGetLastError
invoke  SendMessage,hWndCBBagVideoDevice,CB_ADDSTRING,0,ADDR BufferTmp0
invoke  SysFreeString,vt.parray
;---
mov     eax,pPropBag
mov     ebx,[eax]
invoke  (IPropertyBag PTR [ebx]).Release,pPropBag 
mov     pPropBag,0
;---
mov     eax,pMoniker
mov     ebx,[eax]
invoke  (IEnumMoniker PTR [ebx]).Release,pMoniker 
mov     pMoniker,0
;---
inc     esi
cmp     esi,20                                                                  ;max devices to check
jne     SubBagVideoDeviceLoop
;---
SubBagVideoDeviceDone:
cmp     esi,0
je      SubGetLastError
;---
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pClassEnum
mov     pClassEnum,0
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pDevEnum
mov     pDevEnum,0
;---
ret

; -------------------------------------------------------------------------
SubBagVideoEncoder:
;--------------------------------------------------------------------------
invoke  SendMessage,hWndCBBagVideoEncoder,CB_ADDSTRING,0,ADDR szNoVideoEncoder
invoke  lstrcpy,ADDR BufferError,ADDR szErrorBagVideoEncoder
;---
invoke  CoCreateInstance,ADDR CLSID_SystemDeviceEnum,0,CLSCTX_INPROC_SERVER,ADDR IID_ICreateDevEnum,ADDR pDevEnum
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).CreateClassEnumerator,pDevEnum,ADDR CLSID_VideoCompressorCategory,ADDR pClassEnum,CDEF_DEVMON_FILTER or CDEF_DEVMON_CMGR_DEVICE
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     esi,0
SubBagVideoEncoderLoop:
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (IEnumMoniker PTR [ebx]).Next,pClassEnum,1,ADDR pMoniker,ADDR pcFetched
cmp     eax,S_OK
jne     SubBagVideoEncoderDone
cmp     pcFetched,1
jne     SubBagVideoEncoderDone
;---
mov     eax,pMoniker
mov     ebx,[eax]
invoke  (IMoniker PTR [ebx]).BindToStorage,pMoniker,0,0,ADDR IID_IPropertyBag,ADDR pPropBag
cmp     eax,S_OK
jne     SubGetLastError
;---
invoke  MultiByteToWideChar,CP_ACP,0,ADDR szFriendlyName,-1,ADDR BufferWideChar,MAX_PATH
cmp     eax,0
je      SubGetLastError
;---
mov     vt.vt,VT_BSTR
mov     vt.parray,0
mov     eax,pPropBag
mov     ebx,[eax]
invoke  (IPropertyBag PTR [ebx]).Read,pPropBag,ADDR BufferWideChar,ADDR vt,0
cmp     eax,S_OK
jne     SubGetLastError
;---
invoke  WideCharToMultiByte,CP_ACP,0,vt.parray,-1,ADDR BufferTmp0,MAX_PATH,0,0
cmp     eax,0
je      SubGetLastError
invoke  SendMessage,hWndCBBagVideoEncoder,CB_ADDSTRING,0,ADDR BufferTmp0
invoke  SysFreeString,vt.parray
;---
mov     eax,pPropBag
mov     ebx,[eax]
invoke  (IPropertyBag PTR [ebx]).Release,pPropBag 
mov     pPropBag,0
;---
mov     eax,pMoniker
mov     ebx,[eax]
invoke  (IEnumMoniker PTR [ebx]).Release,pMoniker 
mov     pMoniker,0
;---
inc     esi
cmp     esi,100                                                                 ;max encoder to check, 100 should be enough
jne     SubBagVideoEncoderLoop
;---
SubBagVideoEncoderDone:
cmp     esi,0
je      SubGetLastError
;---
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pClassEnum
mov     pClassEnum,0
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pDevEnum
mov     pDevEnum,0
;---
ret

; -------------------------------------------------------------------------
SubAddVideoDevice:
;--------------------------------------------------------------------------
cmp     iVideoDevice,0
je      SubAddVideoDeviceReturn
mov     esi,iVideoDevice
dec     esi
invoke  lstrcpy,ADDR BufferError,ADDR szErrorAddVideoDevice
;---
invoke  CoCreateInstance,ADDR CLSID_SystemDeviceEnum,0,CLSCTX_INPROC_SERVER,ADDR IID_ICreateDevEnum,ADDR pDevEnum
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).CreateClassEnumerator,pDevEnum,ADDR CLSID_VideoInputDeviceCategory,ADDR pClassEnum,0
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (IEnumMoniker PTR [ebx]).Reset,pClassEnum
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IEnumMoniker PTR [ebx]).Skip,pClassEnum,esi                            ;esi=iVideoDevice-1
invoke  (IEnumMoniker PTR [ebx]).Next,pClassEnum,1,ADDR pMoniker,ADDR pcFetched
cmp     eax,S_OK
jne     SubGetLastError
cmp     pcFetched,1
jne     SubGetLastError
;---
mov     eax,pMoniker
mov     ebx,[eax]
invoke  (IMoniker PTR [ebx]).BindToObject,pMoniker,0,0,ADDR IID_IBaseFilter,ADDR pSrc
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IEnumMoniker PTR [ebx]).Release,pMoniker
mov     pMoniker,0
;---
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pClassEnum
mov     pClassEnum,0
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pDevEnum
mov     pDevEnum,0
;---
invoke  MultiByteToWideChar,CP_ACP,0,ADDR szVideoDevice,-1,ADDR BufferWideChar,MAX_PATH
cmp     eax,0
je      SubGetLastError
mov     eax,pGraph
mov     ebx,[eax]
invoke  (IGraphBuilder PTR [ebx]).AddFilter,pGraph,pSrc,ADDR BufferWideChar
cmp     eax,S_OK
jne     SubGetLastError
;---
SubAddVideoDeviceReturn:
ret

; -------------------------------------------------------------------------
SubAddVideoEncoder:
;--------------------------------------------------------------------------
mov     pVEncoder,0
cmp     iVideoEncoder,0
je      SubAddVideoEncoderReturn
mov     esi,iVideoEncoder
dec     esi
invoke  lstrcpy,ADDR BufferError,ADDR szErrorAddVideoEncoder
;---
invoke  CoCreateInstance,ADDR CLSID_SystemDeviceEnum,0,CLSCTX_INPROC_SERVER,ADDR IID_ICreateDevEnum,ADDR pDevEnum
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).CreateClassEnumerator,pDevEnum,ADDR CLSID_VideoCompressorCategory,ADDR pClassEnum,CDEF_DEVMON_FILTER or CDEF_DEVMON_CMGR_DEVICE
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (IEnumMoniker PTR [ebx]).Reset,pClassEnum
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IEnumMoniker PTR [ebx]).Skip,pClassEnum,esi                            ;esi=iVideoEncoder-1
invoke  (IEnumMoniker PTR [ebx]).Next,pClassEnum,1,ADDR pMoniker,ADDR pcFetched
cmp     eax,S_OK
jne     SubGetLastError
cmp     pcFetched,1
jne     SubGetLastError
;---
mov     eax,pMoniker
mov     ebx,[eax]
invoke  (IMoniker PTR [ebx]).BindToObject,pMoniker,0,0,ADDR IID_IBaseFilter,ADDR pVEncoder
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IEnumMoniker PTR [ebx]).Release,pMoniker
mov     pMoniker,0
;---
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pClassEnum
mov     pClassEnum,0
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pDevEnum
mov     pDevEnum,0
;---
invoke  MultiByteToWideChar,CP_ACP,0,ADDR szVideoEncoder,-1,ADDR BufferWideChar,MAX_PATH
cmp     eax,0
je      SubGetLastError
mov     eax,pGraph
mov     ebx,[eax]
invoke  (IGraphBuilder PTR [ebx]).AddFilter,pGraph,pVEncoder,ADDR BufferWideChar
cmp     eax,S_OK
jne     SubGetLastError
;---
SubAddVideoEncoderReturn:
ret

; -------------------------------------------------------------------------
SubBagAudioDevice:
;--------------------------------------------------------------------------
invoke  SendMessage,hWndCBBagAudioDevice,CB_ADDSTRING,0,ADDR szNoAudioDevice
invoke  lstrcpy,ADDR BufferError,ADDR szErrorBagAudioDevice
;---
invoke  CoCreateInstance,ADDR CLSID_SystemDeviceEnum,0,CLSCTX_INPROC_SERVER,ADDR IID_ICreateDevEnum,ADDR pDevEnum
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).CreateClassEnumerator,pDevEnum,ADDR CLSID_AudioInputDeviceCategory,ADDR pClassEnum,0
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     esi,0
SubBagAudioDeviceLoop:
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (IEnumMoniker PTR [ebx]).Next,pClassEnum,1,ADDR pMoniker,ADDR pcFetched
cmp     eax,S_OK
jne     SubBagAudioDeviceDone
cmp     pcFetched,1
jne     SubBagAudioDeviceDone
;---
mov     eax,pMoniker
mov     ebx,[eax]
invoke  (IMoniker PTR [ebx]).BindToStorage,pMoniker,0,0,ADDR IID_IPropertyBag,ADDR pPropBag
cmp     eax,S_OK
jne     SubGetLastError
;---
invoke  MultiByteToWideChar,CP_ACP,0,ADDR szFriendlyName,-1,ADDR BufferWideChar,MAX_PATH
cmp     eax,0
je      SubGetLastError
;---
mov     vt.vt,VT_BSTR
mov     vt.parray,0
mov     eax,pPropBag
mov     ebx,[eax]
invoke  (IPropertyBag PTR [ebx]).Read,pPropBag,ADDR BufferWideChar,ADDR vt,0
cmp     eax,S_OK
jne     SubGetLastError
;---
invoke  WideCharToMultiByte,CP_ACP,0,vt.parray,-1,ADDR BufferTmp0,MAX_PATH,0,0
cmp     eax,0
je      SubGetLastError
invoke  SendMessage,hWndCBBagAudioDevice,CB_ADDSTRING,0,ADDR BufferTmp0
invoke  SysFreeString,vt.parray
;---
mov     eax,pPropBag
mov     ebx,[eax]
invoke  (IPropertyBag PTR [ebx]).Release,pPropBag 
mov     pPropBag,0
;---
mov     eax,pMoniker
mov     ebx,[eax]
invoke  (IEnumMoniker PTR [ebx]).Release,pMoniker
mov     pMoniker,0
;---
inc     esi
cmp     esi,20                                                                  ;max devices to check
jne     SubBagAudioDeviceLoop
;---
SubBagAudioDeviceDone:
cmp     esi,0
je      SubGetLastError
;---
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pClassEnum
mov     pClassEnum,0
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pDevEnum
mov     pDevEnum,0
;---
ret

; -------------------------------------------------------------------------
SubBagAudioEncoder:
;--------------------------------------------------------------------------
invoke  SendMessage,hWndCBBagAudioEncoder,CB_ADDSTRING,0,ADDR szNoAudioEncoder
invoke  lstrcpy,ADDR BufferError,ADDR szErrorBagAudioEncoder
;---
invoke  CoCreateInstance,ADDR CLSID_SystemDeviceEnum,0,CLSCTX_INPROC_SERVER,ADDR IID_ICreateDevEnum,ADDR pDevEnum
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).CreateClassEnumerator,pDevEnum,ADDR CLSID_AudioCompressorCategory,ADDR pClassEnum,CDEF_DEVMON_FILTER or CDEF_DEVMON_CMGR_DEVICE
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     esi,0
SubBagAudioEncoderLoop:
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (IEnumMoniker PTR [ebx]).Next,pClassEnum,1,ADDR pMoniker,ADDR pcFetched
cmp     eax,S_OK
jne     SubBagAudioEncoderDone
cmp     pcFetched,1
jne     SubBagAudioEncoderDone
;---
mov     eax,pMoniker
mov     ebx,[eax]
invoke  (IMoniker PTR [ebx]).BindToStorage,pMoniker,0,0,ADDR IID_IPropertyBag,ADDR pPropBag
cmp     eax,S_OK
jne     SubGetLastError
;---
invoke  MultiByteToWideChar,CP_ACP,0,ADDR szFriendlyName,-1,ADDR BufferWideChar,MAX_PATH
cmp     eax,0
je      SubGetLastError
;---
mov     vt.vt,VT_BSTR
mov     vt.parray,0
mov     eax,pPropBag
mov     ebx,[eax]
invoke  (IPropertyBag PTR [ebx]).Read,pPropBag,ADDR BufferWideChar,ADDR vt,0
cmp     eax,S_OK
jne     SubGetLastError
;---
invoke  WideCharToMultiByte,CP_ACP,0,vt.parray,-1,ADDR BufferTmp0,MAX_PATH,0,0
cmp     eax,0
je      SubGetLastError
invoke  SendMessage,hWndCBBagAudioEncoder,CB_ADDSTRING,0,ADDR BufferTmp0
;---
invoke  SysFreeString,vt.parray
;---
mov     eax,pPropBag
mov     ebx,[eax]
invoke  (IPropertyBag PTR [ebx]).Release,pPropBag 
mov     pPropBag,0
;---
mov     eax,pMoniker
mov     ebx,[eax]
invoke  (IEnumMoniker PTR [ebx]).Release,pMoniker
mov     pMoniker,0
;---
inc     esi
cmp     esi,100                                                                 ;max encoder to check, 100 should be enough
jne     SubBagAudioEncoderLoop
;---
SubBagAudioEncoderDone:
cmp     esi,0
je      SubGetLastError
;---
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pClassEnum
mov     pClassEnum,0
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pDevEnum
mov     pDevEnum,0
;---
ret

; -------------------------------------------------------------------------
SubAddAudioDevice:
;--------------------------------------------------------------------------
mov     pAudioDevice,0
cmp     iAudioDevice,0
je      SubAddAudioDeviceReturn
mov     esi,iAudioDevice
dec     esi
invoke  lstrcpy,ADDR BufferError,ADDR szErrorAddAudioDevice
;---
invoke  CoCreateInstance,ADDR CLSID_SystemDeviceEnum,0,CLSCTX_INPROC_SERVER,ADDR IID_ICreateDevEnum,ADDR pDevEnum
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).CreateClassEnumerator,pDevEnum,ADDR CLSID_AudioInputDeviceCategory,ADDR pClassEnum,0
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (IEnumMoniker PTR [ebx]).Reset,pClassEnum
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IEnumMoniker PTR [ebx]).Skip,pClassEnum,esi                            ;esi=iAudioEncoder-1
invoke  (IEnumMoniker PTR [ebx]).Next,pClassEnum,1,ADDR pMoniker,ADDR pcFetched
cmp     eax,S_OK
jne     SubGetLastError
cmp     pcFetched,1
jne     SubGetLastError
;---
mov     eax,pMoniker
mov     ebx,[eax]
invoke  (IMoniker PTR [ebx]).BindToObject,pMoniker,0,0,ADDR IID_IBaseFilter,ADDR pAudioDevice
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IEnumMoniker PTR [ebx]).Release,pMoniker
mov     pMoniker,0
;---
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pClassEnum
mov     pClassEnum,0
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pDevEnum
mov     pDevEnum,0
;---
invoke  MultiByteToWideChar,CP_ACP,0,ADDR szAudioDevice,-1,ADDR BufferWideChar,MAX_PATH
cmp     eax,0
je      SubGetLastError
mov     eax,pGraph
mov     ebx,[eax]
invoke  (IGraphBuilder PTR [ebx]).AddFilter,pGraph,pAudioDevice,ADDR BufferWideChar
cmp     eax,S_OK
jne     SubGetLastError
;---
SubAddAudioDeviceReturn:
ret

; -------------------------------------------------------------------------
SubAddAudioEncoder:
;--------------------------------------------------------------------------
mov     pAEncoder,0
cmp     iAudioEncoder,0
je      SubAddAudioEncoderReturn
mov     esi,iAudioEncoder
dec     esi
invoke  lstrcpy,ADDR BufferError,ADDR szErrorAddAudioEncoder
;---
invoke  CoCreateInstance,ADDR CLSID_SystemDeviceEnum,0,CLSCTX_INPROC_SERVER,ADDR IID_ICreateDevEnum,ADDR pDevEnum
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).CreateClassEnumerator,pDevEnum,ADDR CLSID_AudioCompressorCategory,ADDR pClassEnum,CDEF_DEVMON_FILTER or CDEF_DEVMON_CMGR_DEVICE
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (IEnumMoniker PTR [ebx]).Reset,pClassEnum
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IEnumMoniker PTR [ebx]).Skip,pClassEnum,esi                            ;esi=iAudioEncoder-1
invoke  (IEnumMoniker PTR [ebx]).Next,pClassEnum,1,ADDR pMoniker,ADDR pcFetched
cmp     eax,S_OK
jne     SubGetLastError
cmp     pcFetched,1
jne     SubGetLastError
;---
mov     eax,pMoniker
mov     ebx,[eax]
invoke  (IMoniker PTR [ebx]).BindToObject,pMoniker,0,0,ADDR IID_IBaseFilter,ADDR pAEncoder
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IEnumMoniker PTR [ebx]).Release,pMoniker
mov     pMoniker,0
;---
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pClassEnum
mov     pClassEnum,0
;---
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pDevEnum
mov     pDevEnum,0
;---
invoke  MultiByteToWideChar,CP_ACP,0,ADDR szAudioEncoder,-1,ADDR BufferWideChar,MAX_PATH
cmp     eax,0
je      SubGetLastError
mov     eax,pGraph
mov     ebx,[eax]
invoke  (IGraphBuilder PTR [ebx]).AddFilter,pGraph,pAEncoder,ADDR BufferWideChar
cmp     eax,S_OK
jne     SubGetLastError
;---
SubAddAudioEncoderReturn:
ret

; -------------------------------------------------------------------------
SubVideoFilterPropertyPages:
;--------------------------------------------------------------------------
cmp     iVideoDevice,0
je      SubVideoFilterPropertyPagesReturn
invoke  lstrcpy,ADDR BufferError,ADDR szErrorVideoFilterProperty
;---
mov     eax,pSrc
mov     ebx,[eax]
invoke  (IAMVideoProcAmp PTR [ebx]).QueryInterface,pSrc,ADDR IID_ISpecifyPropertyPages,ADDR pSpecify
cmp     eax,S_OK
jne     SubVideoFilterPropertyPagesRelease
;---
mov     eax,pSpecify
mov     esi,[eax]
invoke  (ISpecifyPropertyPages PTR [esi]).GetPages,pSpecify,ADDR cauuid
invoke  (ISpecifyPropertyPages PTR [esi]).Release,pSpecify 
mov     pSpecify,0
;---
invoke  MultiByteToWideChar,CP_ACP,0,ADDR szVideoFilter,-1,ADDR BufferWideChar,MAX_PATH
cmp     eax,0
je      SubGetLastError
;---
invoke  OleCreatePropertyFrame,WP_hWnd,48,48,ADDR BufferWideChar,1,ADDR pSrc,cauuid.cElems,cauuid.pElems,0,0,0
cmp     eax,S_OK
jne     SubVideoFilterPropertyPagesRelease
;---
invoke  CoTaskMemFree,cauuid.pElems 
;---
SubVideoFilterPropertyPagesRelease:

;---
SubVideoFilterPropertyPagesReturn:
ret

; -------------------------------------------------------------------------
SubAudioFilterPropertyPages:
;--------------------------------------------------------------------------
cmp     iAudioDevice,0
je      SubAudioFilterPropertyPagesReturn
invoke  lstrcpy,ADDR BufferError,ADDR szErrorAudioFilterProperty
;---
mov     eax,pAudioDevice
mov     ebx,[eax]
invoke  (IAMAudioInputMixer PTR [ebx]).QueryInterface,pAudioDevice,ADDR IID_ISpecifyPropertyPages,ADDR pSpecify
cmp     eax,S_OK
jne     SubAudioFilterPropertyPagesRelease
;---
mov     eax,pSpecify
mov     esi,[eax]
invoke  (ISpecifyPropertyPages PTR [esi]).GetPages,pSpecify,ADDR cauuid
invoke  (ISpecifyPropertyPages PTR [esi]).Release,pSpecify 
mov     pSpecify,0
;---
invoke  MultiByteToWideChar,CP_ACP,0,ADDR szAudioFilter,-1,ADDR BufferWideChar,MAX_PATH
cmp     eax,0
je      SubGetLastError
;---
invoke  OleCreatePropertyFrame,WP_hWnd,48,48,ADDR BufferWideChar,1,ADDR pAudioDevice,cauuid.cElems,cauuid.pElems,0,0,0
cmp     eax,S_OK
jne     SubAudioFilterPropertyPagesRelease
;---
invoke  CoTaskMemFree,cauuid.pElems
;---
SubAudioFilterPropertyPagesRelease:

;---
SubAudioFilterPropertyPagesReturn:
ret

; -------------------------------------------------------------------------
SubAudioEncoderDialog:
;--------------------------------------------------------------------------
invoke  lstrcpy,ADDR BufferError,ADDR szErrorAudioEncoderDialog
;---
mov     eax,pBuilder
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,0,ADDR MEDIATYPE_Audio,pAEncoder,ADDR IID_IAMStreamConfig,ADDR pInterface
cmp     eax,E_NOINTERFACE
je      SubAudioEncoderDialogReturn
cmp     eax,S_OK
jne     SubAudioEncoderDialogReturn
;---
SubAudioEncoderDialogGo:
mov     eax,pInterface
mov     ebx,[eax]
invoke  (IAMStreamConfig PTR [ebx]).GetNumberOfCapabilities,pInterface,ADDR piCount,ADDR piSize
cmp     eax,S_OK
jne     SubAudioEncoderDialogRelease
;---
mov     esi,0
;---
SubAudioEncoderDialogLoop:
mov     eax,pInterface
mov     ebx,[eax]
invoke  (IAMStreamConfig PTR [ebx]).GetStreamCaps,pInterface,esi,ADDR pAM_MEDIA_TYPE,ADDR ascc
cmp     eax,S_OK
jne     SubAudioEncoderDialogRelease
;---
mov     eax,pAM_MEDIA_TYPE
add     eax,64
mov     ebx,[eax]
cmp     ebx,sizeof wfx
jb      SubAudioEncoderDialogRelease
add     eax,4
mov     ebx,[eax]
;---
add     ebx,2
mov     eax,0
mov     ax,[ebx]
pushad
mov     edi,OFFSET BufferTmp0
call    SubHexDDtoStringDec
popad
mov     lvi.imask,LVIF_TEXT
mov     lvi.iSubItem,0
mov     lvi.pszText,OFFSET BufferTmp0+9
mov     lvi.iItem,esi
invoke  SendMessage,hWndLVAudioEncoder,LVM_INSERTITEM,0,ADDR lvi
;---
add     ebx,2
mov     eax,0
mov     eax,[ebx]
pushad
mov     edi,OFFSET BufferTmp0
call    SubHexDDtoStringDec
popad
mov     lvi.imask,LVIF_TEXT
mov     lvi.iSubItem,1
mov     lvi.pszText,OFFSET BufferTmp0+5
mov     lvi.iItem,esi
invoke  SendMessage,hWndLVAudioEncoder,LVM_SETITEM,0,ADDR lvi
;---
add     ebx,4
mov     eax,0
mov     eax,[ebx]
mov     edx,8
mul     edx
pushad
mov     edi,OFFSET BufferTmp0
call    SubHexDDtoStringDec
popad
mov     lvi.imask,LVIF_TEXT
mov     lvi.iSubItem,2
mov     lvi.pszText,OFFSET BufferTmp0+4
mov     lvi.iItem,esi
invoke  SendMessage,hWndLVAudioEncoder,LVM_SETITEM,0,ADDR lvi
;---
add     ebx,6
mov     eax,0
mov     eax,[ebx]
cmp     eax,0
je      SubAudioEncoderDialogNext
cmp     eax,64
ja      SubAudioEncoderDialogNext
pushad
mov     edi,OFFSET BufferTmp0
call    SubHexDDtoStringDec
popad
mov     lvi.imask,LVIF_TEXT
mov     lvi.iSubItem,3
mov     lvi.pszText,OFFSET BufferTmp0+8
mov     lvi.iItem,esi
invoke  SendMessage,hWndLVAudioEncoder,LVM_SETITEM,0,ADDR lvi
;---
SubAudioEncoderDialogNext:
invoke  MoDeleteMediaType,pAM_MEDIA_TYPE
inc     esi
cmp     esi,piCount
jne     SubAudioEncoderDialogLoop
;---
SubAudioEncoderDialogRelease:
mov     eax,pInterface
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).Release,pInterface 
mov     pInterface,0
;---
SubAudioEncoderDialogReturn:
ret

; -------------------------------------------------------------------------
SubVideoStreamConfigurationParameter:
;--------------------------------------------------------------------------
mov     eax,0                                                                   ;test if user parameter available
mov     ebx,OFFSET BufferCaptureAM_MEDIA_TYPE
cmp     [ebx],eax
je      SubVideoIAMStreamConfigParameterReturn
invoke  lstrcpy,ADDR BufferError,ADDR szErrorVideoStreamConfigurationParameter
;---
mov     eax,pBuilder
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Interleaved,pSrc,ADDR IID_IAMStreamConfig,ADDR pInterface
cmp     eax,S_OK
je      SubVideoIAMStreamConfigParameterGo
;---
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Video,pSrc,ADDR IID_IAMStreamConfig,ADDR pInterface
cmp     eax,E_NOINTERFACE
je      SubVideoIAMStreamConfigParameterReturn
cmp     eax,S_OK
jne     SubVideoIAMStreamConfigParameterReturn
;---
SubVideoIAMStreamConfigParameterGo:
mov     eax,pInterface
mov     ebx,[eax]
invoke  (IAMStreamConfig PTR [ebx]).SetFormat,pInterface,ADDR BufferCaptureAM_MEDIA_TYPE
cmp     eax,S_OK
jne     SubGetLastError
invoke  (ICaptureGraphBuilder2 PTR [ebx]).Release,pInterface 
mov     pInterface,0
;---
SubVideoIAMStreamConfigParameterReturn:
ret

; -------------------------------------------------------------------------
SubVideoStreamConfiguration:
;--------------------------------------------------------------------------
invoke  lstrcpy,ADDR BufferError,ADDR szErrorVideoStreamConfiguration
;---
mov     eax,pBuilder
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Interleaved,pSrc,ADDR IID_IAMStreamConfig,ADDR pInterface
cmp     eax,S_OK
je      SubVideoStreamConfigurationGo
;---
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Video,pSrc,ADDR IID_IAMStreamConfig,ADDR pInterface
cmp     eax,E_NOINTERFACE
je      SubVideoStreamConfigurationReturn
cmp     eax,S_OK
jne     SubVideoStreamConfigurationReturn
;---
SubVideoStreamConfigurationGo:
mov     eax,pInterface
mov     ebx,[eax]
invoke  (IAMVideoProcAmp PTR [ebx]).QueryInterface,pInterface,ADDR IID_ISpecifyPropertyPages,ADDR pSpecify
cmp     eax,S_OK
jne     SubVideoStreamConfigurationRelease
;---
mov     eax,pSpecify
mov     esi,[eax]
invoke  (ISpecifyPropertyPages PTR [esi]).GetPages,pSpecify,ADDR cauuid
invoke  (ISpecifyPropertyPages PTR [esi]).Release,pSpecify 
mov     pSpecify,0
;---
invoke  MultiByteToWideChar,CP_ACP,0,ADDR szVideoStreamConfiguration,-1,ADDR BufferWideChar,MAX_PATH
cmp     eax,0
je      SubGetLastError
;---
invoke  OleCreatePropertyFrame,WP_hWnd,48,48,ADDR BufferWideChar,1,ADDR pInterface,cauuid.cElems,cauuid.pElems,0,0,0
cmp     eax,S_OK
jne     SubVideoStreamConfigurationRelease
;---
invoke  CoTaskMemFree,cauuid.pElems
;---
invoke  (IAMStreamConfig PTR [ebx]).GetFormat,pInterface,ADDR pAM_MEDIA_TYPE    ;store user parameter for future use
cmp     eax,S_OK
jne     SubGetLastError
;---
invoke  MoFreeMediaType,ADDR BufferCaptureAM_MEDIA_TYPE
invoke  MoCopyMediaType,ADDR BufferCaptureAM_MEDIA_TYPE,pAM_MEDIA_TYPE
invoke  MoDeleteMediaType,pAM_MEDIA_TYPE
;---
SubVideoStreamConfigurationRelease:
invoke  (ICaptureGraphBuilder2 PTR [ebx]).Release,pInterface 
mov     pInterface,0
;---
SubVideoStreamConfigurationReturn:
ret

; -------------------------------------------------------------------------
SubVideoEncoderDialog:
;--------------------------------------------------------------------------
mov     fVideoEncoder,0
invoke  lstrcpy,ADDR BufferError,ADDR szErrorVideoVfwEncoderDialog
;---
mov     eax,pBuilder
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Interleaved,pVEncoder,ADDR IID_IAMVfwCompressDialogs,ADDR pInterface
cmp     eax,S_OK
je      SubVideoEncoderDialogVfwGo
;---
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Video,pVEncoder,ADDR IID_IAMVfwCompressDialogs,ADDR pInterface
cmp     eax,E_NOINTERFACE
je      SubVideoEncoderDialogVfwReturn
cmp     eax,S_OK
jne     SubVideoEncoderDialogVfwReturn
;---
SubVideoEncoderDialogVfwGo:
mov     eax,pInterface
mov     ebx,[eax]
invoke  (IAMVfwCompressDialogs PTR [ebx]).ShowDialog,pInterface,VfwCompressDialog_QueryConfig,WP_hWnd
cmp     eax,S_OK
je      SubVideoEncoderDialogVfwConfig
invoke  (IAMVfwCompressDialogs PTR [ebx]).ShowDialog,pInterface,VfwCompressDialog_QueryAbout,WP_hWnd
cmp     eax,S_OK
jne     SubVideoEncoderDialogVfwRelease
invoke  (IAMVfwCompressDialogs PTR [ebx]).ShowDialog,pInterface,VfwCompressDialog_About,WP_hWnd
jmp     SubVideoEncoderDialogVfwRelease
;---
SubVideoEncoderDialogVfwConfig:
invoke  (IAMVfwCompressDialogs PTR [ebx]).ShowDialog,pInterface,VfwCompressDialog_Config,WP_hWnd
invoke  (IAMVfwCompressDialogs PTR [ebx]).GetState,pInterface,0,ADDR pcbState   ;get length of pState !
cmp     eax,ICERR_OK
jne     SubVideoEncoderDialogVfwRelease
invoke  (IAMVfwCompressDialogs PTR [ebx]).GetState,pInterface,ADDR BufferState,ADDR pcbState
mov     fVideoEncoder,1
;---
SubVideoEncoderDialogVfwRelease:
invoke  (ICaptureGraphBuilder2 PTR [ebx]).Release,pInterface 
mov     pInterface,0
;---
SubVideoEncoderDialogVfwReturn:
cmp     fVideoEncoder,0
je      SubVideoEncoderDialogIAM
ret

; -------------------------------------------------------------------------
SubVideoEncoderDialogIAM:
;--------------------------------------------------------------------------
invoke  lstrcpy,ADDR BufferError,ADDR szErrorVideoIAMEncoderDialog
;---
mov     eax,pBuilder
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Interleaved,pVEncoder,ADDR IID_IAMVideoCompression,ADDR pInterface
cmp     eax,S_OK
je      SubVideoEncoderDialogIAMGo
;---
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Video,pVEncoder,ADDR IID_IAMVideoCompression,ADDR pInterface
cmp     eax,E_NOINTERFACE
je      SubVideoEncoderDialogIAMReturn
cmp     eax,S_OK
jne     SubVideoEncoderDialogIAMReturn
;---
SubVideoEncoderDialogIAMGo:
mov     eax,pInterface
mov     ebx,[eax]
invoke  (IAMVideoCompression PTR [ebx]).QueryInterface,pInterface,ADDR IID_ISpecifyPropertyPages,ADDR pSpecify
cmp     eax,S_OK
jne     SubVideoEncoderDialogIAMRelease
;---
mov     eax,pSpecify
mov     esi,[eax]
invoke  (ISpecifyPropertyPages PTR [esi]).GetPages,pSpecify,ADDR cauuid
invoke  (ISpecifyPropertyPages PTR [esi]).Release,pSpecify 
mov     pSpecify,0
;---
invoke  MultiByteToWideChar,CP_ACP,0,ADDR szVideoEncoder,-1,ADDR BufferWideChar,MAX_PATH
cmp     eax,0
je      SubGetLastError
;---
invoke  OleCreatePropertyFrame,WP_hWnd,48,48,ADDR BufferWideChar,1,ADDR pInterface,cauuid.cElems,cauuid.pElems,0,0,0
cmp     eax,S_OK
jne     SubVideoEncoderDialogIAMRelease
;---
invoke  CoTaskMemFree,cauuid.pElems
;---
invoke  (IAMVideoCompression PTR [ebx]).GetInfo,pInterface,0,ADDR cbVersion,0,ADDR cbDesc,0,0,0,0
cmp     eax,S_OK
jne     SubVideoEncoderDialogIAMRelease
;---
invoke  GlobalAlloc,GMEM_FIXED,cbVersion
mov     pcbVersion,eax
invoke  GlobalAlloc,GMEM_FIXED,cbDesc
mov     pcbDesc,eax
;---
invoke  (IAMVideoCompression PTR [ebx]).GetInfo,pInterface,pcbVersion,ADDR cbVersion,pcbDesc,ADDR cbDesc,ADDR pDefaultKeyFrameRate,ADDR pDefaultPFramesPerKey,ADDR pDefaultQuality,ADDR pCapabilities
cmp     eax,S_OK
jne     SubVideoEncoderDialogIAMRelease
;---
invoke  GlobalFree,pcbDesc
invoke  GlobalFree,pcbVersion
;---
SubVideoEncoderDialogIAM_CanQuality:
mov     pQuality,0
bt      pCapabilities,CompressionCaps_CanQuality
jnc     SubVideoEncoderDialogIAM_CanCrunch
invoke  (IAMVideoCompression PTR [ebx]).get_Quality,pInterface,ADDR pQuality
cmp     eax,S_OK
jne     SubVideoEncoderDialogIAMRelease
;---
SubVideoEncoderDialogIAM_CanCrunch:
;mov     
;and     pCapabilities,CompressionCaps_CanCrunch
;jne     SubVideoEncoderDialogIAM_CanKeyFrame

;---
SubVideoEncoderDialogIAM_CanKeyFrame:
mov     pKeyFrameRate,0
bt      pCapabilities,CompressionCaps_CanKeyFrame
jnc     SubVideoEncoderDialogIAM_CanBFrame
invoke  (IAMVideoCompression PTR [ebx]).get_KeyFrameRate,pInterface,ADDR pKeyFrameRate
cmp     eax,S_OK
jne     SubVideoEncoderDialogIAMRelease
;---
SubVideoEncoderDialogIAM_CanBFrame:
mov     pPFramesPerKeyFrame,0
bt      pCapabilities,CompressionCaps_CanBFrame
jnc     SubVideoEncoderDialogIAM_CanWindow
invoke  (IAMVideoCompression PTR [ebx]).get_PFramesPerKeyFrame,pInterface,ADDR pPFramesPerKeyFrame
cmp     eax,S_OK
jne     SubVideoEncoderDialogIAMRelease
;---
SubVideoEncoderDialogIAM_CanWindow:
mov     pWindowSize,0
bt      pCapabilities,CompressionCaps_CanWindow
jnc     SubVideoEncoderDialogIAMSetFlag
invoke  (IAMVideoCompression PTR [ebx]).get_WindowSize,pInterface,ADDR pWindowSize
cmp     eax,S_OK
jne     SubVideoEncoderDialogIAMRelease
;---
SubVideoEncoderDialogIAMSetFlag:
mov     fVideoEncoder,2
;---
SubVideoEncoderDialogIAMRelease:
invoke  (ICaptureGraphBuilder2 PTR [ebx]).Release,pInterface 
mov     pInterface,0
;---
SubVideoEncoderDialogIAMReturn:
ret

; -------------------------------------------------------------------------
SubVideoEncoderParameter:
;--------------------------------------------------------------------------
invoke  lstrcpy,ADDR BufferError,ADDR szErrorVideoEncoderParameter
;---
cmp     fVideoEncoder,1
je      SubVideoEncoderParameterVfw
cmp     fVideoEncoder,2
je      SubVideoEncoderParameterIAM
jmp     SubVideoEncoderParameterReturn
;---
SubVideoEncoderParameterVfw:
mov     eax,pBuilder
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Interleaved,pVEncoder,ADDR IID_IAMVfwCompressDialogs,ADDR pInterface
cmp     eax,S_OK
je      SubVideoEncoderParameterVfwGo
;---
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Video,pVEncoder,ADDR IID_IAMVfwCompressDialogs,ADDR pInterface
cmp     eax,E_NOINTERFACE
je      SubVideoEncoderParameterReturn
cmp     eax,S_OK
jne     SubVideoEncoderParameterReturn
;---
SubVideoEncoderParameterVfwGo:
mov     eax,pInterface
mov     ebx,[eax]
invoke  (IAMVfwCompressDialogs PTR [ebx]).SetState,pInterface,ADDR BufferState,pcbState
invoke  (ICaptureGraphBuilder2 PTR [ebx]).Release,pInterface 
mov     pInterface,0
ret
;---
SubVideoEncoderParameterIAM:
mov     eax,pBuilder
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Interleaved,pVEncoder,ADDR IID_IAMVideoCompression,ADDR pInterface
cmp     eax,S_OK
je      SubVideoEncoderParameterIAMGo
;---
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Video,pVEncoder,ADDR IID_IAMVideoCompression,ADDR pInterface
cmp     eax,E_NOINTERFACE
je      SubVideoEncoderParameterReturn
cmp     eax,S_OK
jne     SubVideoEncoderParameterReturn
;---
SubVideoEncoderParameterIAMGo:
mov     eax,pInterface
mov     ebx,[eax]
cmp     pQuality,0
je      SubVideoEncoderParameterIAM_Crunch
invoke  (IAMVideoCompression PTR [ebx]).put_Quality,pInterface,ADDR pQuality
cmp     eax,S_OK
jne     SubVideoEncoderParameterIAMRelease
;---
SubVideoEncoderParameterIAM_Crunch:
;mov     
;and     pCapabilities,CompressionCaps_CanCrunch
;jne     SubVideoEncoderParameterIAM_CanKeyFrame

;---
SubVideoEncoderParameterIAMGo_KeyFrameRate:
cmp     pKeyFrameRate,0
je      SubVideoEncoderParameterIAM_PFramesPerKeyFrame
invoke  (IAMVideoCompression PTR [ebx]).put_KeyFrameRate,pInterface,ADDR pKeyFrameRate
cmp     eax,S_OK
jne     SubVideoEncoderParameterIAMRelease
;---
SubVideoEncoderParameterIAM_PFramesPerKeyFrame:
cmp     pPFramesPerKeyFrame,0
je      SubVideoEncoderParameterIAM_WindowSize
invoke  (IAMVideoCompression PTR [ebx]).put_PFramesPerKeyFrame,pInterface,ADDR pPFramesPerKeyFrame
cmp     eax,S_OK
jne     SubVideoEncoderParameterIAMRelease
;---
SubVideoEncoderParameterIAM_WindowSize:
cmp     pWindowSize,0
je      SubVideoEncoderParameterIAMRelease
invoke  (IAMVideoCompression PTR [ebx]).put_WindowSize,pInterface,ADDR pWindowSize
cmp     eax,S_OK
jne     SubVideoEncoderParameterIAMRelease
;---
SubVideoEncoderParameterIAMRelease:
invoke  (ICaptureGraphBuilder2 PTR [ebx]).Release,pInterface 
mov     pInterface,0
;---
SubVideoEncoderParameterReturn:
ret

; -------------------------------------------------------------------------
SubRelease:
;--------------------------------------------------------------------------
SubReleasepSpecify:
cmp     pSpecify,0
je      SubReleasepInterface
mov     eax,pSpecify
mov     ebx,[eax]
invoke  (ISpecifyPropertyPages PTR [ebx]).Release,pSpecify 
mov     pSpecify,0
;---
SubReleasepInterface:
cmp     pInterface,0
je      SubReleasepControlPreview
mov     eax,pInterface
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).Release,pInterface 
mov     pInterface,0
;---
SubReleasepControlPreview:
cmp     pControlPreview,0
je      SubReleasepControlCapture
mov     eax,pControlPreview
mov     ebx,[eax]
invoke  (IMediaControl PTR [ebx]).Release,pControlPreview
mov     pControlPreview,0
;---
SubReleasepControlCapture:
cmp     pControlCapture,0
je      SubReleasepConfigMux
mov     eax,pControlCapture
mov     ebx,[eax]
invoke  (IMediaControl PTR [ebx]).Release,pControlCapture
mov     pControlCapture,0
;---
SubReleasepConfigMux:
cmp     pConfigMux,0
je      SubReleaseppf
mov     eax,pConfigMux
mov     ebx,[eax]
invoke  (IConfigAviMux PTR [ebx]).Release,pConfigMux
mov     pConfigMux,0
;---
SubReleaseppf:
cmp     ppf,0
je      SubReleasepSink
mov     eax,ppf
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).Release,ppf
mov     ppf,0
;---
SubReleasepSink:
cmp     pSink,0
je      SubReleasepVidWin
mov     eax,pSink
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).Release,pSink
mov     pSink,0
;---
SubReleasepVidWin:
cmp     pVidWin,0
je      SubReleasepAudioDevice
mov     eax,pVidWin
mov     ebx,[eax]
invoke  (IVideoWindow PTR [ebx]).put_Visible,pVidWin,OAFALSE
invoke  (IVideoWindow PTR [ebx]).put_Owner,pVidWin,0
invoke  (IVideoWindow PTR [ebx]).Release,pVidWin
mov     pVidWin,0
;---
SubReleasepAudioDevice:
cmp     pAudioDevice,0
je      SubReleasepVEncoder
mov     eax,pGraph
mov     ebx,[eax]
invoke  (IGraphBuilder PTR [ebx]).RemoveFilter,pGraph,pAudioDevice
;cmp     eax,S_OK
;jne     SubGetLastError
mov     eax,pAudioDevice
mov     ebx,[eax]
invoke  (IGraphBuilder PTR [ebx]).Release,pAudioDevice
mov     pAudioDevice,0
;---
SubReleasepVEncoder:
cmp     pVEncoder,0
je      SubReleasepAEncoder
mov     eax,pGraph
mov     ebx,[eax]
invoke  (IGraphBuilder PTR [ebx]).RemoveFilter,pGraph,pVEncoder
;cmp     eax,S_OK
;jne     SubGetLastError
mov     eax,pVEncoder
mov     ebx,[eax]
invoke  (IGraphBuilder PTR [ebx]).Release,pVEncoder
mov     pVEncoder,0
;---
SubReleasepAEncoder:
cmp     pAEncoder,0
je      SubReleasepSrc
mov     eax,pGraph
mov     ebx,[eax]
invoke  (IGraphBuilder PTR [ebx]).RemoveFilter,pGraph,pAEncoder
;cmp     eax,S_OK
;jne     SubGetLastError
mov     eax,pAEncoder
mov     ebx,[eax]
invoke  (IGraphBuilder PTR [ebx]).Release,pAEncoder
mov     pAEncoder,0
;---
SubReleasepSrc:
cmp     pSrc,0
je      SubReleasepBuilder
mov     eax,pGraph
mov     ebx,[eax]
invoke  (IGraphBuilder PTR [ebx]).RemoveFilter,pGraph,pSrc
;cmp     eax,S_OK
;jne     SubGetLastError
mov     eax,pSrc
mov     ebx,[eax]
invoke  (IGraphBuilder PTR [ebx]).Release,pSrc
mov     pSrc,0
;---
SubReleasepBuilder:
cmp     pBuilder,0
je      SubReleasepGraph
mov     eax,pBuilder
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).Release,pBuilder
mov     pBuilder,0
;---
SubReleasepGraph:
cmp     pGraph,0
je      SubReleasepMoniker
mov     eax,pGraph
mov     ebx,[eax]
invoke  (IGraphBuilder PTR [ebx]).Release,pGraph
mov     pGraph,0
;---
SubReleasepMoniker:
cmp     pMoniker,0
je      SubReleasepPropBag
mov     eax,pMoniker
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pMoniker
mov     pMoniker,0
;---
SubReleasepPropBag:
cmp     pPropBag,0
je      SubReleasepClassEnum
mov     eax,pPropBag
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pPropBag
mov     pPropBag,0
;---
SubReleasepClassEnum:
cmp     pClassEnum,0
je      SubReleasepDevEnum
mov     eax,pClassEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pClassEnum
mov     pClassEnum,0
;---
SubReleasepDevEnum:
cmp     pDevEnum,0
je      SubReleaseReturn
mov     eax,pDevEnum
mov     ebx,[eax]
invoke  (ICreateDevEnum PTR [ebx]).Release,pDevEnum
mov     pDevEnum,0
;---
SubReleaseReturn:
ret

; -------------------------------------------------------------------------
SubWindow:
;--------------------------------------------------------------------------
cmp     iVideoDevice,0
je      SubWindowReturn
invoke  lstrcpy,ADDR BufferError,ADDR szErrorWindow
;---
mov     eax,pGraph
mov     ebx,[eax]
invoke  (IUnknown PTR [ebx]).QueryInterface,pGraph,ADDR IID_IVideoWindow,ADDR pVidWin
cmp     eax,S_OK
jne     SubGetLastError
mov     eax,pVidWin
mov     ebx,[eax]
invoke  (IVideoWindow PTR [ebx]).put_Owner,pVidWin,hWndMain
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IVideoWindow PTR [ebx]).put_WindowStyle,pVidWin,WS_CHILD or WS_CLIPSIBLINGS
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IVideoWindow PTR [ebx]).put_Height,pVidWin,240
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IVideoWindow PTR [ebx]).put_Width,pVidWin,320
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IVideoWindow PTR [ebx]).SetWindowPosition,pVidWin,24,56,320,240
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IVideoWindow PTR [ebx]).put_AutoShow,pVidWin,OATRUE
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IVideoWindow PTR [ebx]).put_Visible,pVidWin,OATRUE
cmp     eax,S_OK
jne     SubGetLastError
;---
SubWindowReturn:
ret

; -------------------------------------------------------------------------
SubRenderPreview:
;--------------------------------------------------------------------------
invoke  lstrcpy,ADDR BufferError,ADDR szErrorRenderPreview
;---
mov     eax,pGraph
mov     ebx,[eax]
invoke  (IUnknown PTR [ebx]).QueryInterface,pGraph,ADDR IID_IMediaControl,ADDR pControlPreview
cmp     eax,S_OK
jne     SubGetLastError
;---
SubRenderPreviewVideo:
mov     eax,pBuilder
mov     ebx,[eax]
cmp     iVideoDevice,0
je      SubRenderPreviewAudio
invoke  (ICaptureGraphBuilder2 PTR [ebx]).RenderStream,pBuilder,ADDR PIN_CATEGORY_PREVIEW,ADDR MEDIATYPE_Video,pSrc,0,0
cmp     eax,VFW_S_NOPREVIEWPIN
je      SubRenderPreviewAudio
cmp     eax,S_OK
je      SubRenderPreviewAudio
jmp     SubGetLastError
;---
SubRenderPreviewAudio:
cmp     iAudioDevice,0
je      SubRenderPreviewReturn
cmp     fAudio,0
je      SubRenderPreviewReturn
invoke  (ICaptureGraphBuilder2 PTR [ebx]).RenderStream,pBuilder,ADDR PIN_CATEGORY_PREVIEW,ADDR MEDIATYPE_Audio,pAudioDevice,0,0
cmp     eax,VFW_S_NOPREVIEWPIN
je      SubRenderPreviewReturn
cmp     eax,S_OK
je      SubRenderPreviewReturn
jmp     SubGetLastError
;---
SubRenderPreviewReturn:
ret

; -------------------------------------------------------------------------
SubRenderCapture:
;--------------------------------------------------------------------------
invoke  lstrcpy,ADDR BufferError,ADDR szErrorRenderCapture
;---
call    SubLocalTime
invoke  lstrcpy,ADDR BufferTmp0,ADDR BufferTargetDir
invoke  lstrcat,ADDR BufferTmp0,ADDR szFilenameCapture
invoke  lstrcat,ADDR BufferTmp0,ADDR BufferTmp1
invoke  lstrcat,ADDR BufferTmp0,ADDR szExtenderAvi
invoke  MultiByteToWideChar,CP_ACP,0,ADDR BufferTmp0,-1,ADDR BufferWideChar,MAX_PATH
cmp     eax,0
je      SubGetLastError
;---
mov     eax,pGraph
mov     ebx,[eax]
invoke  (IUnknown PTR [ebx]).QueryInterface,pGraph,ADDR IID_IMediaControl,ADDR pControlCapture
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pBuilder
mov     ebx,[eax]
invoke  (ICaptureGraphBuilder2 PTR [ebx]).SetOutputFileName,pBuilder,ADDR MEDIASUBTYPE_Avi,ADDR BufferWideChar,ADDR ppf,ADDR pSink
cmp     eax,S_OK
jne     SubGetLastError
;---
SubRenderCaptureVideo:
cmp     iVideoDevice,0
je      SubRenderCaptureAudio
invoke  (ICaptureGraphBuilder2 PTR [ebx]).RenderStream,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Video,pSrc,pVEncoder,ppf
cmp     eax,S_OK
jne     SubGetLastError
;---
SubRenderCaptureAudio:
cmp     iAudioDevice,0
je      SubRenderCaptureConfigAviMux
invoke  (ICaptureGraphBuilder2 PTR [ebx]).RenderStream,pBuilder,ADDR PIN_CATEGORY_CAPTURE,ADDR MEDIATYPE_Audio,pAudioDevice,pAEncoder,ppf
cmp     eax,S_OK
jne     SubGetLastError
;---
cmp     iAudioEncoder,0
je      SubRenderCaptureConfigAviMux
;---
invoke  lstrcpy,ADDR BufferError,ADDR szErrorAudioEncoderParameter
invoke  (ICaptureGraphBuilder2 PTR [ebx]).FindInterface,pBuilder,0,ADDR MEDIATYPE_Audio,pAEncoder,ADDR IID_IAMStreamConfig,ADDR pInterface
cmp     eax,E_NOINTERFACE
je      SubGetLastError
cmp     eax,S_OK
jne     SubGetLastError
;---
mov     eax,pInterface
mov     ebx,[eax]
invoke  (IAMStreamConfig PTR [ebx]).GetStreamCaps,pInterface,iAudioEncoderParameter,ADDR pAM_MEDIA_TYPE,ADDR ascc
cmp     eax,S_OK
jne     SubGetLastError
invoke  (IAMStreamConfig PTR [ebx]).SetFormat,pInterface,pAM_MEDIA_TYPE
cmp     eax,S_OK
jne     SubGetLastError
invoke  MoDeleteMediaType,pAM_MEDIA_TYPE
invoke  (ICaptureGraphBuilder2 PTR [ebx]).Release,pInterface 
mov     pInterface,0
;---
SubRenderCaptureConfigAviMux:
mov     eax,ppf
mov     ebx,[eax]
invoke  (IConfigAviMux PTR [ebx]).QueryInterface,ppf,ADDR IID_IConfigAviMux,ADDR pConfigMux
cmp     eax,S_OK
jne     SubRenderCaptureReturn
;---
SubRenderCaptureConfigAviMuxAviFormat:
mov     eax,pConfigMux
mov     ebx,[eax]
invoke  (IConfigAviMux PTR [ebx]).SetOutputCompatibilityIndex,pConfigMux,fAviFormat
cmp     eax,S_OK
jne     SubRenderCaptureConfigAviMuxRelease
;---
SubRenderCaptureConfigAviMuxMasterStream:
cmp     iVideoDevice,0
je      SubRenderCaptureConfigAviMuxMasterStream0
cmp     iAudioDevice,0
je      SubRenderCaptureConfigAviMuxMasterStream0
;---
SubRenderCaptureConfigAviMuxMasterStream1:
invoke  (IConfigAviMux PTR [ebx]).SetMasterStream,pConfigMux,1
jmp     SubRenderCaptureConfigAviMuxRelease
;---
SubRenderCaptureConfigAviMuxMasterStream0:
invoke  (IConfigAviMux PTR [ebx]).SetMasterStream,pConfigMux,0
;---
SubRenderCaptureConfigAviMuxRelease:
invoke  (IConfigAviMux PTR [ebx]).Release,pConfigMux
mov     pConfigMux,0
;---
SubRenderCaptureReturn:
ret

; -------------------------------------------------------------------------
SubStartPreview:                        ;no error check
;--------------------------------------------------------------------------
mov     eax,pControlPreview
mov     ebx,[eax]
invoke  (IMediaControl PTR [ebx]).Stop,pControlPreview
invoke  (IMediaControl PTR [ebx]).Pause,pControlPreview
invoke  (IMediaControl PTR [ebx]).Run,pControlPreview
invoke  SendMessage,hWndSB,SB_SETTEXT,2,ADDR szPreviewON
mov     fPreview,1
ret

; -------------------------------------------------------------------------
SubStopPreview:                         ;no error check
;--------------------------------------------------------------------------
cmp     fPreview,0
je      SubStopPreviewReturn
;---
mov     eax,pControlPreview
mov     ebx,[eax]
invoke  (IMediaControl PTR [ebx]).Stop,pControlPreview
call    SubSetControlsDevice
invoke  SendMessage,hWndSB,SB_SETTEXT,2,ADDR szPreviewOFF
mov     fPreview,0
;---
SubStopPreviewReturn:
ret

; -------------------------------------------------------------------------
SubStartCapture:                        ;no error check
;--------------------------------------------------------------------------
mov     eax,pControlCapture
mov     ebx,[eax]
invoke  (IMediaControl PTR [ebx]).Stop,pControlCapture
invoke  (IMediaControl PTR [ebx]).Pause,pControlCapture
invoke  (IMediaControl PTR [ebx]).Run,pControlCapture
invoke  SendMessage,hWndSB,SB_SETTEXT,3,ADDR szCaptureON
mov     fCapture,1
ret

; -------------------------------------------------------------------------
SubStopCapture:                         ;no error check
;--------------------------------------------------------------------------
cmp     fCapture,0
je      SubStopCaptureReturn
;---
mov     eax,pControlCapture
mov     ebx,[eax]
invoke  (IMediaControl PTR [ebx]).Stop,pControlCapture
call    SubSetControlsDevice
invoke  SendMessage,hWndSB,SB_SETTEXT,3,ADDR szCaptureOFF
mov     fCapture,0
;---
SubStopCaptureReturn:
ret

; -------------------------------------------------------------------------
SubSetControlsDevice:
;--------------------------------------------------------------------------
invoke  EnableWindow,hWndCBBagVideoDevice,1
invoke  EnableWindow,hWndCBBagAudioDevice,1
cmp     iVideoDevice,0
je      SubSetControlsDeviceAudio
cmp     iAudioDevice,0
je      SubSetControlsDeviceVideo
SubSetControlsDeviceAll:
invoke  EnableWindow,hWndCBBagVideoEncoder,1
invoke  EnableWindow,hWndCBBagAudioEncoder,1
invoke  EnableWindow,hWndBUOpenDML,1
invoke  EnableWindow,hWndBUCapturePin,1
invoke  EnableWindow,hWndBUVideoFilter,1
invoke  EnableWindow,hWndBUAudioFilter,1
invoke  EnableWindow,hWndBUVideoEncoder,1
invoke  EnableWindow,hWndBUAudioEncoder,1
invoke  EnableWindow,hWndBUPreview,1
invoke  EnableWindow,hWndBUCaptureStart,1
invoke  EnableWindow,hWndBUCaptureStop,1
invoke  EnableWindow,hWndBUAutoCaptureVideo,1
invoke  EnableWindow,hWndDTStart,1
invoke  EnableWindow,hWndDTEnd,1
invoke  EnableWindow,hWndBUAutoCapture,1
invoke  EnableMenuItem,hSysMenu,1050,MF_ENABLED
jmp     SubSetControlsDeviceEncoderAudio
;---
SubSetControlsDeviceVideo:
cmp     iVideoDevice,0
je      SubSetControlsDeviceAudio
invoke  EnableWindow,hWndCBBagVideoEncoder,1
invoke  EnableWindow,hWndCBBagAudioEncoder,0;
invoke  EnableWindow,hWndBUOpenDML,1
invoke  EnableWindow,hWndBUCapturePin,1
invoke  EnableWindow,hWndBUVideoFilter,1
invoke  EnableWindow,hWndBUAudioFilter,0
invoke  EnableWindow,hWndBUAudioEncoder,0
invoke  EnableWindow,hWndBUPreview,1
invoke  EnableWindow,hWndBUCaptureStart,1
invoke  EnableWindow,hWndBUCaptureStop,1
invoke  EnableWindow,hWndBUAutoCaptureVideo,1
invoke  EnableWindow,hWndDTStart,1
invoke  EnableWindow,hWndDTEnd,1
invoke  EnableWindow,hWndBUAutoCapture,1
invoke  EnableMenuItem,hSysMenu,1050,MF_ENABLED
cmp     iVideoEncoder,0
jne     SubSetControlsDeviceVideoEncoderOn
invoke  EnableWindow,hWndBUVideoEncoder,0
ret
SubSetControlsDeviceVideoEncoderOn:
invoke  EnableWindow,hWndBUVideoEncoder,1
ret
;---
SubSetControlsDeviceAudio:
cmp     iAudioDevice,0
je      SubSetControlsDeviceNone
invoke  EnableWindow,hWndCBBagVideoEncoder,0;
invoke  EnableWindow,hWndCBBagAudioEncoder,1
invoke  EnableWindow,hWndBUOpenDML,1
invoke  EnableWindow,hWndBUCapturePin,1
invoke  EnableWindow,hWndBUVideoFilter,0
invoke  EnableWindow,hWndBUAudioFilter,1
invoke  EnableWindow,hWndBUVideoEncoder,0
invoke  EnableWindow,hWndBUPreview,1
invoke  EnableWindow,hWndBUCaptureStart,1
invoke  EnableWindow,hWndBUCaptureStop,1
invoke  EnableWindow,hWndBUAutoCaptureVideo,1
invoke  EnableWindow,hWndDTStart,1
invoke  EnableWindow,hWndDTEnd,1
invoke  EnableWindow,hWndBUAutoCapture,1
invoke  EnableMenuItem,hSysMenu,1050,MF_ENABLED
cmp     iAudioEncoder,0
jne     SubSetControlsDeviceAudioEncoderOn
invoke  EnableWindow,hWndBUAudioEncoder,0
ret
SubSetControlsDeviceAudioEncoderOn:
invoke  EnableWindow,hWndBUAudioEncoder,1
ret
;---
SubSetControlsDeviceNone:
invoke  EnableWindow,hWndCBBagVideoEncoder,0
invoke  EnableWindow,hWndCBBagAudioEncoder,0
invoke  EnableWindow,hWndBUOpenDML,0
invoke  EnableWindow,hWndBUCapturePin,0
invoke  EnableWindow,hWndBUVideoFilter,0
invoke  EnableWindow,hWndBUAudioFilter,0
invoke  EnableWindow,hWndBUVideoEncoder,0
invoke  EnableWindow,hWndBUAudioEncoder,0
invoke  EnableWindow,hWndBUPreview,0
invoke  EnableWindow,hWndBUCaptureStart,0
invoke  EnableWindow,hWndBUCaptureStop,0
invoke  EnableWindow,hWndBUAutoCaptureVideo,0
invoke  EnableWindow,hWndDTStart,0
invoke  EnableWindow,hWndDTEnd,0
invoke  EnableWindow,hWndBUAutoCapture,0
invoke  EnableMenuItem,hSysMenu,1050,MF_ENABLED
ret
;---
SubSetControlsDeviceEncoderAudio:
cmp     iAudioEncoder,0
je      SubSetControlsDeviceEncoderAudioOff
SubSetControlsDeviceEncoderAudioOn:
invoke  EnableWindow,hWndBUAudioEncoder,1
jmp     SubSetControlsDeviceEncoderVideo
SubSetControlsDeviceEncoderAudioOff:
invoke  EnableWindow,hWndBUAudioEncoder,0
SubSetControlsDeviceEncoderVideo:
cmp     iVideoEncoder,0
je      SubSetControlsDeviceEncoderVideoOff
SubSetControlsDeviceEncoderVideoOn:
invoke  EnableWindow,hWndBUVideoEncoder,1
ret
SubSetControlsDeviceEncoderVideoOff:
invoke  EnableWindow,hWndBUVideoEncoder,0
ret

; -------------------------------------------------------------------------
SubDisableControlsPreview:
;--------------------------------------------------------------------------
invoke  SendMessage,hWndSB,SB_SETTEXT,0,ADDR szWN
invoke  EnableWindow,hWndBUOpenDML,0
invoke  EnableWindow,hWndCBBagVideoDevice,0
invoke  EnableWindow,hWndCBBagVideoEncoder,0
invoke  EnableWindow,hWndCBBagAudioDevice,0
invoke  EnableWindow,hWndCBBagAudioEncoder,0
invoke  EnableWindow,hWndBUCapturePin,0
invoke  EnableWindow,hWndBUVideoFilter,0
invoke  EnableWindow,hWndBUAudioFilter,0
invoke  EnableWindow,hWndBUVideoEncoder,0
invoke  EnableWindow,hWndBUAudioEncoder,0
invoke  EnableWindow,hWndBUCaptureStart,0
invoke  EnableWindow,hWndBUCaptureStop,0
invoke  EnableWindow,hWndBUAutoCapture,0
ret

; -------------------------------------------------------------------------
SubDisableControlsCapture:
;--------------------------------------------------------------------------
invoke  SendMessage,hWndSB,SB_SETTEXT,0,ADDR szWN
invoke  EnableMenuItem,hSysMenu,1050,MF_GRAYED
invoke  EnableWindow,hWndBUOpenDML,0
invoke  EnableWindow,hWndCBBagVideoDevice,0
invoke  EnableWindow,hWndCBBagVideoEncoder,0
invoke  EnableWindow,hWndCBBagAudioDevice,0
invoke  EnableWindow,hWndCBBagAudioEncoder,0
invoke  EnableWindow,hWndBUCapturePin,0
invoke  EnableWindow,hWndBUVideoFilter,0
invoke  EnableWindow,hWndBUAudioFilter,0
invoke  EnableWindow,hWndBUVideoEncoder,0
invoke  EnableWindow,hWndBUAudioEncoder,0
invoke  EnableWindow,hWndBUPreview,0
invoke  EnableWindow,hWndBUCaptureStart,0
invoke  EnableWindow,hWndBUAutoCapture,0
ret

; -------------------------------------------------------------------------
SubDisableControlsAutoCapture:
;--------------------------------------------------------------------------
invoke  SendMessage,hWndSB,SB_SETTEXT,0,ADDR szWN
invoke  EnableMenuItem,hSysMenu,1050,MF_GRAYED
invoke  EnableWindow,hWndBUOpenDML,0
invoke  EnableWindow,hWndCBBagVideoDevice,0
invoke  EnableWindow,hWndCBBagVideoEncoder,0
invoke  EnableWindow,hWndCBBagAudioDevice,0
invoke  EnableWindow,hWndCBBagAudioEncoder,0
invoke  EnableWindow,hWndBUCapturePin,0
invoke  EnableWindow,hWndBUVideoFilter,0
invoke  EnableWindow,hWndBUAudioFilter,0
invoke  EnableWindow,hWndBUVideoEncoder,0
invoke  EnableWindow,hWndBUAudioEncoder,0
invoke  EnableWindow,hWndBUPreview,0
invoke  EnableWindow,hWndBUCaptureStart,0
invoke  EnableWindow,hWndBUCaptureStop,0
invoke  EnableWindow,hWndDTStart,0
invoke  EnableWindow,hWndDTEnd,0
ret

; -------------------------------------------------------------------------
SubCleanSystem:
;--------------------------------------------------------------------------
invoke  timeKillEvent,IdTimer
invoke  DestroyWindow,hWndCBBagVideoDevice
invoke  DestroyWindow,hWndCBBagVideoEncoder
invoke  DestroyWindow,hWndCBBagAudioDevice
invoke  DestroyWindow,hWndCBBagAudioEncoder
invoke  DestroyWindow,hWndSTLogo
invoke  DestroyWindow,hWndBUCapturePin
invoke  DestroyWindow,hWndBUVideoFilter
invoke  DestroyWindow,hWndBUAudioFilter
invoke  DestroyWindow,hWndBUVideoEncoder
invoke  DestroyWindow,hWndBUAudioEncoder
invoke  DestroyWindow,hWndBUPreview
invoke  DestroyWindow,hWndBUCaptureStart
invoke  DestroyWindow,hWndBUCaptureStop
invoke  DestroyWindow,hWndBUAutoCaptureVideo
invoke  DestroyWindow,hWndDTStart
invoke  DestroyWindow,hWndDTEnd
invoke  DestroyWindow,hWndBUAutoCapture
invoke  DestroyWindow,hWndSB
invoke  DestroyWindow,hWndTT
invoke  DeleteObject,hBr00000000
;---
SubCleanSystemPreviewStop:
cmp     fPreview,0
je      SubCleanSystemCaptureStop
call    SubStopPreview
;---
SubCleanSystemCaptureStop:
cmp     fCapture,0
je      SubCleanSystemReturn
call    SubStopCapture
;---
SubCleanSystemReturn:
call    SubRelease
ret

; -------------------------------------------------------------------------
SubLocalTime:
;--------------------------------------------------------------------------
invoke  GetLocalTime,ADDR _st
mov     eax,0
mov     edi,OFFSET BufferTmp0
mov     ax,_st.wDay
call    SubHexDDtoStringDec
invoke  lstrcpy,ADDR BufferTmp1,ADDR BufferTmp0+8
mov     eax,0
mov     edi,OFFSET BufferTmp0
mov     ax,_st.wMonth
call    SubHexDDtoStringDec
invoke  lstrcat,ADDR BufferTmp1,ADDR BufferTmp0+8
mov     eax,0
mov     edi,OFFSET BufferTmp0
mov     ax,_st.wYear
call    SubHexDDtoStringDec
invoke  lstrcat,ADDR BufferTmp1,ADDR BufferTmp0+6
invoke  lstrcat,ADDR BufferTmp1,ADDR szMinus
mov     eax,0
mov     edi,OFFSET BufferTmp0
mov     ax,_st.wHour
call    SubHexDDtoStringDec
invoke  lstrcat,ADDR BufferTmp1,ADDR BufferTmp0+8
mov     eax,0
mov     edi,OFFSET BufferTmp0
mov     ax,_st.wMinute
call    SubHexDDtoStringDec
invoke  lstrcat,ADDR BufferTmp1,ADDR BufferTmp0+8
mov     eax,0
mov     edi,OFFSET BufferTmp0
mov     ax,_st.wSecond
call    SubHexDDtoStringDec
invoke  lstrcat,ADDR BufferTmp1,ADDR BufferTmp0+8
ret

; -------------------------------------------------------------------------
SubLocalStartTime:
;--------------------------------------------------------------------------
invoke  TzSpecificLocalTimeToSystemTime,0,ADDR _stDTStart,ADDR _stOut
cmp     eax,0
je      SubGetLastError
invoke  SystemTimeToFileTime,ADDR _stOut,ADDR ftStart
cmp     eax,0
je      SubGetLastError
ret

; -------------------------------------------------------------------------
SubLocalEndTime:
;--------------------------------------------------------------------------
invoke  TzSpecificLocalTimeToSystemTime,0,ADDR _stDTEnd,ADDR _stOut
cmp     eax,0
je      SubGetLastError
invoke  SystemTimeToFileTime,ADDR _stOut,ADDR ftEnd
cmp     eax,0
je      SubGetLastError
ret

; -------------------------------------------------------------------------
SubGetLastError:
;--------------------------------------------------------------------------
push    eax
invoke  GetLocalTime,ADDR _st
mov     eax,0
mov     edi,OFFSET BufferTmp0
mov     ax,_st.wHour
call    SubHexDDtoStringDec
invoke  lstrcpy,ADDR BufferTmp1,ADDR BufferTmp0+8
invoke  lstrcat,ADDR BufferTmp1,ADDR szColon
mov     eax,0
mov     edi,OFFSET BufferTmp0
mov     ax,_st.wMinute
call    SubHexDDtoStringDec
invoke  lstrcat,ADDR BufferTmp1,ADDR BufferTmp0+8
invoke  lstrcat,ADDR BufferTmp1,ADDR szColon
mov     eax,0
mov     edi,OFFSET BufferTmp0
mov     ax,_st.wSecond
call    SubHexDDtoStringDec
invoke  lstrcat,ADDR BufferTmp1,ADDR BufferTmp0+8
invoke  lstrcat,ADDR BufferTmp1,ADDR szSpaceMinusSpace
invoke  lstrcat,ADDR BufferTmp1,ADDR szError
pop     eax
mov     edi,OFFSET BufferTmp0
call    SubHexDDtoStringHex
invoke  lstrcat,ADDR BufferTmp1,ADDR BufferTmp0
invoke  lstrcat,ADDR BufferTmp1,ADDR szSpaceMinusSpace
invoke  lstrcat,ADDR BufferTmp1,ADDR BufferError
invoke  SendMessage,hWndSB,SB_SETTEXT,0,ADDR BufferTmp1
mov     fPreview,0
mov     fCapture,0
mov     fAutoCapture,0
call    SubRelease
pop     eax                                                                     ;remove return adress from stack
jmp     WP_Return

;--------------------------------------------------------------------------
SubHexDDtoStringDec:        ;EAX=Hex, EDI=pBuffer, Made by tE! // TMG
;--------------------------------------------------------------------------
push    0h                  ;get additional space on stack (10 bytes min.)
push    0h                  ;'' upper dword is 0
push    eax                 ;'' lower dword -> 32 bit integer to convert
fild    qword ptr[esp]      ;load 64 bit integer value on TOS
fbstp   real10 ptr[esp]     ; store value as 80bit BCD value
pop     ecx
pop     eax
mov     edx,ecx
mov     ebx,eax
shr     ecx,4
shr     eax,4
and     ebx,0000000Fh       ;mask nibbles
and     edx,0F0F0F0Fh       ;...
and     ecx,0F0F0F0Fh
add     edx,30303030h       ;build ascii numbers
add     ecx,30303030h       ;...
add     eax,30h
add     ebx,30h
mov     [edi],al            ;store in buffer
mov     [edi+1],bl          ;...
mov     [edi+8],cl
mov     [edi+9],dl
mov     [edi+6],ch
mov     [edi+7],dh
bswap   ecx                 ;endian conversion (486 processor needed)
bswap   edx                 ;dto.
mov     [edi+2],cl
mov     [edi+3],dl
mov     [edi+4],ch
mov     [edi+5],dh
mov     eax,0
mov     [edi+10],al         ;otherwise string is not terminated with zero
pop     eax                 ;correct stack
ret

;--------------------------------------------------------------------------
SubHexDDtoStringHex:        ;EAX=Hex, EDI=pBuffer
;--------------------------------------------------------------------------
ror     eax,28
mov     ecx,0
SubHexDDtoStringHexLoop:
mov     edx,eax
and     edx,0Fh
add     dl,30h
cmp     dl,3Ah
jb      SubHexDDtoStringHexNext
add     dl,7h
SubHexDDtoStringHexNext:
mov     [edi],dl
rol     eax,4
inc     edi
inc     ecx
cmp     ecx,8
jne     SubHexDDtoStringHexLoop
mov     edx,0
mov     [edi],dl
ret

; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
end Main
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

