; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
; COM
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
; IUnknown Interface
IUnknown_QueryInterfaceProto                    typedef PROTO :DWORD,:DWORD,:DWORD
IUnknown_AddRefProto                            typedef PROTO :DWORD
IUnknown_ReleaseProto                           typedef PROTO :DWORD
IUnknown_QueryInterface                         typedef ptr IUnknown_QueryInterfaceProto
IUnknown_AddRef                                 typedef ptr IUnknown_AddRefProto
IUnknown_Release                                typedef ptr IUnknown_ReleaseProto
;---
; IUnknown methods
IUnknown STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
IUnknown ENDS
; -------------------------------------------------------------------------
; IPersist interface
IPersist_GetClassIDProto                        typedef PROTO :DWORD,:DWORD
IPersist_GetClassID                             typedef ptr IPersist_GetClassIDProto
;---
; IPersist methods
IPersist STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
GetClassID                                      IPersist_GetClassID                         ?
IPersist ENDS
; -------------------------------------------------------------------------
; IPersistStream interface
IPersistStream_GetClassIDProto                  typedef PROTO :DWORD,:DWORD
IPersistStream_GetClassID                       typedef ptr IPersistStram_GetClassIDProto
IPersistStream_IsDirtyProto                     typedef PROTO :DWORD
IPersistStream_IsDirty                          typedef ptr IPersistStream_IsDirtyProto
IPersistStream_LoadProto                        typedef PROTO :DWORD,:DWORD
IPersistStream_Load                             typedef ptr IPersistStream_LoadProto
IPersistStream_SaveProto                        typedef PROTO :DWORD,:DWORD,:DWORD
IPersistStream_Save                             typedef ptr IPersistStream_SaveProto
IPersistStream_GetSizeMaxProto                  typedef PROTO :DWORD,:DWORD
IPersistStream_GetSizeMax                       typedef ptr IPersistStream_GetSizeMaxProto
;---
; IPersistStream methods
IPersistStream STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
GetClassID                                      IPersistStream_GetClassID                   ?
IsDirty                                         IPersistStream_IsDirty                      ?
Load                                            IPersistStream_Load                         ?
Save                                            IPersistStream_Save                         ?
GetSizeMax                                      IPersistStream_GetSizeMax                   ?
IPersistStream ENDS
; -------------------------------------------------------------------------
; IEnumMoniker interface
IEnumMoniker_NextProto                          typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IEnumMoniker_SkipProto                          typedef PROTO :DWORD,:DWORD
IEnumMoniker_ResetProto                         typedef PROTO :DWORD
IEnumMoniker_CloneProto                         typedef PROTO :DWORD,:DWORD
IEnumMoniker_Next                               typedef ptr IEnumMoniker_NextProto
IEnumMoniker_Skip                               typedef ptr IEnumMoniker_SkipProto
IEnumMoniker_Reset                              typedef ptr IEnumMoniker_ResetProto
IEnumMoniker_Clone                              typedef ptr IEnumMoniker_CloneProto
;---
; IEnumMoniker methods
IEnumMoniker STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
Next                                            IEnumMoniker_Next                           ?
Skip                                            IEnumMoniker_Skip                           ?
Reset                                           IEnumMoniker_Reset                          ?
Clone                                           IEnumMoniker_Clone                          ?
IEnumMoniker ENDS
; -------------------------------------------------------------------------
; IMoniker interface
IMoniker_BindToObjectProto                      typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IMoniker_BindToObject                           typedef ptr IMoniker_BindToObjectProto
IMoniker_BindToStorageProto                     typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IMoniker_BindToStorage                          typedef ptr IMoniker_BindToStorageProto
IMoniker_ReduceProto                            typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IMoniker_Reduce                                 typedef ptr IMoniker_ReduceProto
IMoniker_ComposeWithProto                       typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IMoniker_ComposeWith                            typedef ptr IMoniker_ComposeWithProto
IMoniker_EnumProto                              typedef PROTO :DWORD,:DWORD,:DWORD
IMoniker_Enum                                   typedef ptr IMoniker_EnumProto
IMoniker_IsEqualProto                           typedef PROTO :DWORD,:DWORD
IMoniker_IsEqual                                typedef ptr IMoniker_IsEqualProto
IMoniker_HashProto                              typedef PROTO :DWORD,:DWORD
IMoniker_Hash                                   typedef ptr IMoniker_HashProto
IMoniker_IsRunningProto                         typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IMoniker_IsRunning                              typedef ptr IMoniker_IsRunningProto
IMoniker_GetTimeOfLastChangeProto               typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IMoniker_GetTimeOfLastChange                    typedef ptr IMoniker_GetTimeOfLastChangeProto
IMoniker_InverseProto                           typedef PROTO :DWORD,:DWORD
IMoniker_Inverse                                typedef ptr IMoniker_InverseProto
IMoniker_CommonPrefixWithProto                  typedef PROTO :DWORD,:DWORD,:DWORD
IMoniker_CommonPrefixWith                       typedef ptr IMoniker_CommonPrefixWithProto
IMoniker_RelativePathToProto                    typedef PROTO :DWORD,:DWORD,:DWORD
IMoniker_RelativePathTo                         typedef ptr IMoniker_RelativePathToProto
IMoniker_GetDisplayNameProto                    typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IMoniker_GetDisplayName                         typedef ptr IMoniker_GetDisplayNameProto
IMoniker_ParseDisplayNameProto                  typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IMoniker_ParseDisplayName                       typedef ptr IMoniker_ParseDisplayNameProto
IMoniker_IsSystemMonikerProto                   typedef PROTO :DWORD,:DWORD
IMoniker_IsSystemMoniker                        typedef ptr IMoniker_IsSystemMonikerProto
;---
; IMoniker methods
IMoniker STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
GetClassID                                      IPersist_GetClassID                         ?
IsDirty                                         IPersistStream_IsDirty                      ?
Load                                            IPersistStream_Load                         ?
Save                                            IPersistStream_Save                         ?
GetSizeMax                                      IPersistStream_GetSizeMax                   ?
BindToObject                                    IMoniker_BindToObject                       ?
BindToStorage                                   IMoniker_BindToStorage                      ?
Reduce                                          IMoniker_Reduce                             ?
ComposeWith                                     IMoniker_ComposeWith                        ?
Enum                                            IMoniker_Enum                               ?
IsEqual                                         IMoniker_IsEqual                            ?
Hash                                            IMoniker_Hash                               ?
IsRunning                                       IMoniker_IsRunning                          ?
GetTimeOfLastChange                             IMoniker_GetTimeOfLastChange                ?
Inverse                                         IMoniker_Inverse                            ?
CommonPrefixWith                                IMoniker_CommonPrefixWith                   ?
RelativePathTo                                  IMoniker_RelativePathTo                     ?
GetDisplayName                                  IMoniker_GetDisplayName                     ?
ParseDisplayName                                IMoniker_ParseDisplayName                   ?
IsSystemMoniker                                 IMoniker_IsSystemMoniker                    ?
IMoniker ENDS
; -------------------------------------------------------------------------
; IPropertyPage interface
IPropertyPage_SetPageSiteProto                  typedef PROTO :DWORD,:DWORD
IPropertyPage_SetPageSite                       typedef ptr IPropertyPage_SetPageSiteProto
IPropertyPage_ActivateProto                     typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IPropertyPage_Activate                          typedef ptr IPropertyPage_ActivateProto
IPropertyPage_DeactivateProto                   typedef PROTO :DWORD
IPropertyPage_Deactivate                        typedef ptr IPropertyPage_DeactivateProto
IPropertyPage_GetPageInfoProto                  typedef PROTO :DWORD,:DWORD
IPropertyPage_GetPageInfo                       typedef ptr IPropertyPage_GetPageInfoProto
IPropertyPage_SetObjectsProto                   typedef PROTO :DWORD,:DWORD,:DWORD
IPropertyPage_SetObjects                        typedef ptr IPropertyPage_SetObjectsProto
IPropertyPage_ShowProto                         typedef PROTO :DWORD,:DWORD
IPropertyPage_Show                              typedef ptr IPropertyPage_ShowProto
IPropertyPage_MoveProto                         typedef PROTO :DWORD,:DWORD
IPropertyPage_Move                              typedef ptr IPropertyPage_MoveProto
IPropertyPage_IsPageDirtyProto                  typedef PROTO :DWORD
IPropertyPage_IsPageDirty                       typedef ptr IPropertyPage_IsPageDirtyProto
IPropertyPage_ApplyProto                        typedef PROTO :DWORD
IPropertyPage_Apply                             typedef ptr IPropertyPage_ApplyProto
IPropertyPage_HelpProto                         typedef PROTO :DWORD,:DWORD
IPropertyPage_Help                              typedef ptr IPropertyPage_HelpProto
IPropertyPage_TranslateAcceleratorProto         typedef PROTO :DWORD,:DWORD
IPropertyPage_TranslateAccelerator              typedef ptr IPropertyPage_TranslateAcceleratorProto
;---
; IPropertyPage methods
IPropertyPage STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
SetPageSite                                     IPropertyPage_SetPageSite                   ?
Activate                                        IPropertyPage_Activate                      ?
Deactivate                                      IPropertyPage_Deactivate                    ?
GetPageInfo                                     IPropertyPage_GetPageInfo                   ?
SetObjects                                      IPropertyPage_SetObjects                    ?
Show                                            IPropertyPage_Show                          ?
Move                                            IPropertyPage_Move                          ?
IsPageDirty                                     IPropertyPage_IsPageDirty                   ?
Apply                                           IPropertyPage_Apply                         ?
Help                                            IPropertyPage_Help                          ?
TranslateAccelerator                            IPropertyPage_TranslateAccelerator          ?
IPropertyPage ENDS
; -------------------------------------------------------------------------
; ISpecifyPropertyPages interface
ISpecifyPropertyPages_GetPagesProto             typedef PROTO :DWORD,:DWORD
ISpecifyPropertyPages_GetPages                  typedef ptr ISpecifyPropertyPages_GetPagesProto
;---
; ISpecifyPropertyPages methods
ISpecifyPropertyPages STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
GetPages                                        ISpecifyPropertyPages_GetPages              ?
ISpecifyPropertyPages ENDS
; -------------------------------------------------------------------------



; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
; DirectShow
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
; ICreateDevEnum interface
ICreateDevEnum_CreateClassEnumeratorProto       typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
ICreateDevEnum_CreateClassEnumerator            typedef ptr ICreateDevEnum_CreateClassEnumeratorProto
;---
; ICreateDevEnum methods
ICreateDevEnum STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
CreateClassEnumerator                           ICreateDevEnum_CreateClassEnumerator        ?
ICreateDevEnum ENDS
; -------------------------------------------------------------------------
; ICaptureGraphBuilder2 interface
ICaptureGraphBuilder2_SetFiltergraphProto       typedef PROTO :DWORD,:DWORD
ICaptureGraphBuilder2_SetFiltergraph            typedef ptr ICaptureGraphBuilder2_SetFiltergraphProto
ICaptureGraphBuilder2_GetFiltergraphProto       typedef PROTO :DWORD,:DWORD
ICaptureGraphBuilder2_GetFiltergraph            typedef ptr ICaptureGraphBuilder2_GetFiltergraphProto
ICaptureGraphBuilder2_SetOutputFileNameProto    typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICaptureGraphBuilder2_SetOutputFileName         typedef ptr ICaptureGraphBuilder2_SetOutputFileNameProto
ICaptureGraphBuilder2_FindInterfaceProto        typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICaptureGraphBuilder2_FindInterface             typedef ptr ICaptureGraphBuilder2_FindInterfaceProto
ICaptureGraphBuilder2_RenderStreamProto         typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICaptureGraphBuilder2_RenderStream              typedef ptr ICaptureGraphBuilder2_RenderStreamProto
ICaptureGraphBuilder2_ControlStreamProto        typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICaptureGraphBuilder2_ControlStream             typedef ptr ICaptureGraphBuilder2_ControlStreamProto
ICaptureGraphBuilder2_AllocCapFileProto         typedef PROTO :DWORD,:DWORD,:DWORD
ICaptureGraphBuilder2_AllocCapFile              typedef ptr ICaptureGraphBuilder2_AllocCapFileProto
ICaptureGraphBuilder2_CopyCaptureFileProto      typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICaptureGraphBuilder2_CopyCaptureFile           typedef ptr ICaptureGraphBuilder2_CopyCaptureFileProto
ICaptureGraphBuilder2_FindPinProto              typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ICaptureGraphBuilder2_FindPin                   typedef ptr ICaptureGraphBuilder2_FindPinProto
;---
; ICaptureGraphBuilder2 methods
ICaptureGraphBuilder2 STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
SetFiltergraph                                  ICaptureGraphBuilder2_SetFiltergraph        ?
GetFiltergraph                                  ICaptureGraphBuilder2_GetFiltergraph        ?
SetOutputFileName                               ICaptureGraphBuilder2_SetOutputFileName     ?
FindInterface                                   ICaptureGraphBuilder2_FindInterface         ?
RenderStream                                    ICaptureGraphBuilder2_RenderStream          ?
ControlStream                                   ICaptureGraphBuilder2_ControlStream         ?
AllocCapFile                                    ICaptureGraphBuilder2_AllocCapFile          ?
CopyCaptureFile                                 ICaptureGraphBuilder2_CopyCaptureFile       ?
FindPin                                         ICaptureGraphBuilder2_FindPin               ?
ICaptureGraphBuilder2 ENDS
; -------------------------------------------------------------------------
; IFilterGraph interface
IFilterGraph_AddFilterProto                     typedef PROTO :DWORD,:DWORD,:DWORD
IFilterGraph_AddFilter                          typedef ptr IFilterGraph_AddFilterProto
IFilterGraph_RemoveFilterProto                  typedef PROTO :DWORD,:DWORD
IFilterGraph_RemoveFilter                       typedef ptr IFilterGraph_RemoveFilterProto
IFilterGraph_EnumFiltersProto                   typedef PROTO :DWORD,:DWORD
IFilterGraph_EnumFilters                        typedef ptr IFilterGraph_EnumFiltersProto
IFilterGraph_FindFilterByNameProto              typedef PROTO :DWORD,:DWORD,:DWORD
IFilterGraph_FindFilterByName                   typedef ptr IFilterGraph_FindFilterByNameProto
IFilterGraph_ConnectDirectProto                 typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IFilterGraph_ConnectDirect                      typedef ptr IFilterGraph_ConnectDirectProto
IFilterGraph_ReconnectProto                     typedef PROTO :DWORD,:DWORD
IFilterGraph_Reconnect                          typedef ptr IFilterGraph_ReconnectProto
IFilterGraph_DisconnectProto                    typedef PROTO :DWORD,:DWORD
IFilterGraph_Disconnect                         typedef ptr IFilterGraph_DisconnectProto
IFilterGraph_SetDefaultSyncSourceProto          typedef PROTO :DWORD
IFilterGraph_SetDefaultSyncSource               typedef ptr IFilterGraph_SetDefaultSyncSourceProto
;---
; IFilterGraph methods
IFilterGraph STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
AddFilter                                       IFilterGraph_AddFilter                      ?
RemoveFilter                                    IFilterGraph_RemoveFilter                   ?
EnumFilters                                     IFilterGraph_EnumFilters                    ?
FindFilterByName                                IFilterGraph_FindFilterByName               ?
ConnectDirect                                   IFilterGraph_ConnectDirect                  ?
Reconnect                                       IFilterGraph_Reconnect                      ?
Disconnect                                      IFilterGraph_Disconnect                     ?
SetDefaultSyncSource                            IFilterGraph_SetDefaultSyncSource           ?
IFilterGraph ENDS
; -------------------------------------------------------------------------
; IFilterGrap2 interface
IFilterGraph2_AddSourceFilterForMonikerProto    typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IFilterGraph2_AddSourceFilterForMoniker         typedef ptr IFilterGraph2_AddSourceFilterForMonikerProto
IFilterGraph2_ReconnectExProto                  typedef PROTO :DWORD,:DWORD,:DWORD
IFilterGraph2_ReconnectEx                       typedef ptr IFilterGraph2_ReconnectExProto
;---
; IFilterGraph2 methods
IFilterGraph2 STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
AddSourceFilterForMoniker                       IFilterGraph2_AddSourceFilterForMoniker     ?
ReconnectEx                                     IFilterGraph2_ReconnectEx                   ?
IFilterGraph2 ENDS
; -------------------------------------------------------------------------
; IGraphBuilder interface
IGraphBuilder_ConnectProto                      typedef PROTO :DWORD,:DWORD,:DWORD
IGraphBuilder_Connect                           typedef ptr IGraphBuilder_ConnectProto
IGraphBuilder_RenderProto                       typedef PROTO :DWORD,:DWORD
IGraphBuilder_Render                            typedef ptr IGraphBuilder_RenderProto
IGraphBuilder_RenderFileProto                   typedef PROTO :DWORD,:DWORD,:DWORD
IGraphBuilder_RenderFile                        typedef ptr IGraphBuilder_RenderFileProto
IGraphBuilder_AddSourceFilterProto              typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IGraphBuilder_AddSourceFilter                   typedef ptr IGraphBuilder_AddSourceFilterProto
IGraphBuilder_SetLogFileProto                   typedef PROTO :DWORD,:DWORD
IGraphBuilder_SetLogFile                        typedef ptr IGraphBuilder_SetLogFileProto
IGraphBuilder_AbortProto                        typedef PROTO :DWORD
IGraphBuilder_Abort                             typedef ptr IGraphBuilder_AbortProto
IGraphBuilder_ShouldOperationContinueProto      typedef PROTO :DWORD,:DWORD
IGraphBuilder_ShouldOperationContinue           typedef ptr IGraphBuilder_ShouldOperationContinueProto
;---
IGraphBuilder STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
AddFilter                                       IFilterGraph_AddFilter                      ?
RemoveFilter                                    IFilterGraph_RemoveFilter                   ?
EnumFilters                                     IFilterGraph_EnumFilters                    ?
FindFilterByName                                IFilterGraph_FindFilterByName               ?
ConnectDirect                                   IFilterGraph_ConnectDirect                  ?
Reconnect                                       IFilterGraph_Reconnect                      ?
Disconnect                                      IFilterGraph_Disconnect                     ?
SetDefaultSyncSource                            IFilterGraph_SetDefaultSyncSource           ?
Connect                                         IGraphBuilder_Connect                       ?
Render                                          IGraphBuilder_Render                        ?
RenderFile                                      IGraphBuilder_RenderFile                    ?
AddSourceFilter                                 IGraphBuilder_AddSourceFilter               ?
SetLogFile                                      IGraphBuilder_SetLogFile                    ?
Abort                                           IGraphBuilder_Abort                         ?
ShouldOperationContinue                         IGraphBuilder_ShouldOperationContinue       ?
AddSourceFilterForMoniker                       IFilterGraph2_AddSourceFilterForMoniker     ?
ReconnectEx                                     IFilterGraph2_ReconnectEx                   ?
IGraphBuilder ENDS
; -------------------------------------------------------------------------
; IDispatch interface
IDispatch_GetTypeInfoCountProto                 typedef PROTO :DWORD,:DWORD
IDispatch_GetTypeInfoCount                      typedef ptr IDispatch_GetTypeInfoCountProto
IDispatch_GetTypeInfoProto                      typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IDispatch_GetTypeInfo                           typedef ptr IDispatch_GetTypeInfoProto
IDispatch_GetIDsOfNameProto                     typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IDispatch_GetIDsOfName                          typedef ptr IDispatch_GetIDsOfNameProto
IDispatch_InvokeProto                           typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IDispatch_Invoke                                typedef ptr IDispatch_InvokeProto
;---
IDispatch STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
GetTypeInfoCount                                IDispatch_GetTypeInfoCount                  ?
GetTypeInfo                                     IDispatch_GetTypeInfo                       ?
GetIDsOfName                                    IDispatch_GetIDsOfName                      ?
xInvoke                                         IDispatch_Invoke                            ?
IDispatch ENDS
; -------------------------------------------------------------------------
; IPropertyBag interface
IPropertyBag_ReadProto                          typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IPropertyBag_Read                               typedef ptr IPropertyBag_ReadProto
IPropertyBag_WriteProto                         typedef PROTO :DWORD,:DWORD,:DWORD
IPropertyBag_Write                              typedef ptr IPropertyBag_WriteProto
;---
IPropertyBag STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
Read                                            IPropertyBag_Read                           ?
Write                                           IPropertyBag_Write                          ?
IPropertyBag ENDS
; -------------------------------------------------------------------------
; IVideoWindow interface
IVideoWindow_put_CaptionProto                   typedef PROTO :DWORD,:DWORD
IVideoWindow_put_Caption                        typedef ptr IVideoWindow_put_CaptionProto
IVideoWindow_get_CaptionProto                   typedef PROTO :DWORD,:DWORD
IVideoWindow_get_Caption                        typedef ptr IVideoWindow_get_CaptionProto
IVideoWindow_put_WindowStyleProto               typedef PROTO :DWORD,:DWORD
IVideoWindow_put_WindowStyle                    typedef ptr IVideoWindow_put_WindowStyleProto
IVideoWindow_get_WindowStyleProto               typedef PROTO :DWORD,:DWORD
IVideoWindow_get_WindowStyle                    typedef ptr IVideoWindow_get_WindowStyleProto
IVideoWindow_put_WindowStyleExProto             typedef PROTO :DWORD,:DWORD
IVideoWindow_put_WindowStyleEx                  typedef ptr IVideoWindow_put_WindowStyleExProto
IVideoWindow_get_WindowStyleExProto             typedef PROTO :DWORD,:DWORD
IVideoWindow_get_WindowStyleEx                  typedef ptr IVideoWindow_get_WindowStyleExProto
IVideoWindow_put_AutoShowProto                  typedef PROTO :DWORD,:DWORD
IVideoWindow_put_AutoShow                       typedef ptr IVideoWindow_put_AutoShowProto
IVideoWindow_get_AutoShowProto                  typedef PROTO :DWORD,:DWORD
IVideoWindow_get_AutoShow                       typedef ptr IVideoWindow_get_AutoShowProto
IVideoWindow_put_WindowStateProto               typedef PROTO :DWORD,:DWORD
IVideoWindow_put_WindowState                    typedef ptr IVideoWindow_put_WindowStateProto
IVideoWindow_get_WindowStateProto               typedef PROTO :DWORD,:DWORD
IVideoWindow_get_WindowState                    typedef ptr IVideoWindow_get_WindowStateProto
IVideoWindow_put_BackgroundPaletteProto         typedef PROTO :DWORD,:DWORD
IVideoWindow_put_BackgroundPalette              typedef ptr IVideoWindow_put_BackgroundPaletteProto
IVideoWindow_get_BackgroundPaletteProto         typedef PROTO :DWORD,:DWORD
IVideoWindow_get_BackgroundPalette              typedef ptr IVideoWindow_get_BackgroundPaletteProto
IVideoWindow_put_VisibleProto                   typedef PROTO :DWORD,:DWORD
IVideoWindow_put_Visible                        typedef ptr IVideoWindow_put_VisibleProto
IVideoWindow_get_VisibleProto                   typedef PROTO :DWORD,:DWORD
IVideoWindow_get_Visible                        typedef ptr IVideoWindow_get_VisibleProto
IVideoWindow_put_LeftProto                      typedef PROTO :DWORD,:DWORD
IVideoWindow_put_Left                           typedef ptr IVideoWindow_put_LeftProto
IVideoWindow_get_LeftProto                      typedef PROTO :DWORD,:DWORD
IVideoWindow_get_Left                           typedef ptr IVideoWindow_get_LeftProto
IVideoWindow_put_WidthProto                     typedef PROTO :DWORD,:DWORD
IVideoWindow_put_Width                          typedef ptr IVideoWindow_put_WidthProto
IVideoWindow_get_WidthProto                     typedef PROTO :DWORD,:DWORD
IVideoWindow_get_Width                          typedef ptr IVideoWindow_get_WidthProto
IVideoWindow_put_TopProto                       typedef PROTO :DWORD,:DWORD
IVideoWindow_put_Top                            typedef ptr IVideoWindow_put_TopProto
IVideoWindow_get_TopProto                       typedef PROTO :DWORD,:DWORD
IVideoWindow_get_Top                            typedef ptr IVideoWindow_get_TopProto
IVideoWindow_put_HeightProto                    typedef PROTO :DWORD,:DWORD
IVideoWindow_put_Height                         typedef ptr IVideoWindow_put_HeightProto
IVideoWindow_get_HeightProto                    typedef PROTO :DWORD,:DWORD
IVideoWindow_get_Height                         typedef ptr IVideoWindow_getHeightProto
IVideoWindow_put_OwnerProto                     typedef PROTO :DWORD,:DWORD
IVideoWindow_put_Owner                          typedef ptr IVideoWindow_put_OwnerProto
IVideoWindow_get_OwnerProto                     typedef PROTO :DWORD,:DWORD
IVideoWindow_get_Owner                          typedef ptr IVideoWindow_get_OwnerProto
IVideoWindow_put_MessageDrainProto              typedef PROTO :DWORD,:DWORD
IVideoWindow_put_MessageDrain                   typedef ptr IVideoWindow_put_MessageDrainProto
IVideoWindow_get_MessageDrainProto              typedef PROTO :DWORD,:DWORD
IVideoWindow_get_MessageDrain                   typedef ptr IVideoWindow_get_MessageDrainProto
IVideoWindow_get_BorderColorProto               typedef PROTO :DWORD,:DWORD
IVideoWindow_get_BorderColor                    typedef ptr IVideoWindow_get_BorderColorProto
IVideoWindow_put_BorderColorProto               typedef PROTO :DWORD,:DWORD
IVideoWindow_put_BorderColor                    typedef ptr IVideoWindow_put_BorderColorProto
IVideoWindow_get_FullScreenModeProto            typedef PROTO :DWORD,:DWORD
IVideoWindow_get_FullScreenMode                 typedef ptr IVideoWindow_get_FullScreenModeProto
IVideoWindow_put_FullScreenModeProto            typedef PROTO :DWORD,:DWORD
IVideoWindow_put_FullScreenMode                 typedef ptr IVideoWindow_put_FullScreenModeProto
IVideoWindow_SetWindowForegroundProto           typedef PROTO :DWORD,:DWORD
IVideoWindow_SetWindowForeground                typedef ptr IVideoWindow_SetWindowForegroundProto
IVideoWindow_NotifyOwnerMessageProto            typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWord
IVideoWindow_NotifyOwnerMessage                 typedef ptr IVideoWindow_NotifyOwnerMessageProto
IVideoWindow_SetWindowPositionProto             typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IVideoWindow_SetWindowPosition                  typedef ptr IVideoWindow_SetWindowPositionProto
IVideoWindow_GetWindowPositionProto             typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IVideoWindow_GetWindowPosition                  typedef ptr IVideoWindow_GetWindowPositionProto
IVideoWindow_GetMinIdealImageSizeProto          typedef PROTO :DWORD,:DWORD,:DWORD
IVideoWindow_GetMinIdealImageSize               typedef ptr IVideoWindow_GetMinIdealImageSizeProto
IVideoWindow_GetMaxIdealImageSizeProto          typedef PROTO :DWORD,:DWORD,:DWORD
IVideoWindow_GetMaxIdealImageSize               typedef ptr IVideoWindow_GetMaxIdealImageSizeProto
IVideoWindow_GetRestorePositionProto            typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IVideoWindow_GetRestorePosition                 typedef ptr IVideoWindow_GetRestorePositionProto
IVideoWindow_HideCursorProto                    typedef PROTO :DWORD,:DWORD
IVideoWindow_HideCursor                         typedef ptr IVideoWindow_HideCursorProto
IVideoWindow_IsCursorHiddenProto                typedef PROTO :DWORD,:DWORD
IVideoWindow_IsCursorHidden                     typedef ptr IVideoWindow_IsCursorHiddenProto
;---
IVideoWindow STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
GetTypeInfoCount                                IDispatch_GetTypeInfoCount                  ?
GetTypeInfo                                     IDispatch_GetTypeInfo                       ?
GetIDsOfName                                    IDispatch_GetIDsOfName                      ?
xInvoke                                         IDispatch_Invoke                            ?
put_Caption                                     IVideoWindow_put_Caption                    ?
get_Caption                                     IVideoWindow_get_Caption                    ?
put_WindowStyle                                 IVideoWindow_put_WindowStyle                ?
get_WindowStyle                                 IVideoWindow_get_WindowStyle                ?
put_WindowStyleEx                               IVideoWindow_put_WindowStyleEx              ?
get_WindowStyleEx                               IVideoWindow_get_WindowStyleEx              ?
put_AutoShow                                    IVideoWindow_put_AutoShow                   ?
get_AutoShow                                    IVideoWindow_get_AutoShow                   ?
put_WindowState                                 IVideoWindow_put_WindowState                ?
get_WindowState                                 IVideoWindow_get_WindowState                ?
put_BackgroundPalette                           IVideoWindow_put_BackgroundPalette          ?
get_BackgroundPalette                           IVideoWindow_get_BackgroundPalette          ?
put_Visible                                     IVideoWindow_put_Visible                    ?
get_Visible                                     IVideoWindow_get_Visible                    ?
put_Left                                        IVideoWindow_put_Left                       ?
get_Left                                        IVideoWindow_get_Left                       ?
put_Width                                       IVideoWindow_put_Width                      ?
get_Width                                       IVideoWindow_get_Width                      ?
put_Top                                         IVideoWindow_put_Top                        ?
get_Top                                         IVideoWindow_get_Top                        ?
put_Height                                      IVideoWindow_put_Height                     ?
get_Height                                      IVideoWindow_get_Height                     ?
put_Owner                                       IVideoWindow_put_Owner                      ?
get_Owner                                       IVideoWindow_get_Owner                      ?
put_MessageDrain                                IVideoWindow_put_MessageDrain               ?
get_MessageDrain                                IVideoWindow_get_MessageDrain               ?
get_BorderColor                                 IVideoWindow_get_BorderColor                ?
put_BorderColor                                 IVideoWindow_put_BorderColor                ?
get_FullScreenMode                              IVideoWindow_get_FullScreenMode             ?
put_FullScreenMode                              IVideoWindow_put_FullScreenMode             ?
SetWindowForeground                             IVideoWindow_SetWindowForeground            ?
NotifyOwnerMessage                              IVideoWindow_NotifyOwnerMessage             ?
SetWindowPosition                               IVideoWindow_SetWindowPosition              ?
GetWindowPosition                               IVideoWindow_GetWindowPosition              ?
GetMinIdealImageSize                            IVideoWindow_GetMinIdealImageSize           ?
GetMaxIdealImageSize                            IVideoWindow_GetMaxIdealImageSize           ?
GetRestorePosition                              IVideoWindow_GetRestorePosition             ?
HideCursor                                      IVideoWindow_HideCursor                     ?
IsCursorHidden                                  IVideoWindow_IsCursorHidden                 ?
IVideoWindow ENDS
; -------------------------------------------------------------------------
; IMediaControl interface
IMediaControl_RunProto                          typedef PROTO :DWORD
IMediaControl_Run                               typedef ptr IMediaControl_RunProto
IMediaControl_PauseProto                        typedef PROTO :DWORD
IMediaControl_Pause                             typedef ptr IMediaControl_PauseProto
IMediaControl_StopProto                         typedef PROTO :DWORD
IMediaControl_Stop                              typedef ptr IMediaControl_StopProto
IMediaControl_StopWhenReadyProto                typedef PROTO :DWORD
IMediaControl_StopWhenReady                     typedef ptr IMediaControl_StopWhenReadyProto
IMediaControl_GetStateProto                     typedef PROTO :DWORD,:DWORD,:DWORD
IMediaControl_GetState                          typedef ptr IMediaControl_GetStateProto
IMediaControl_RenderFileProto                   typedef PROTO :DWORD,:DWORD
IMediaControl_RenderFile                        typedef ptr IMediaControl_RenderFileProto
IMediaControl_AddSourceFilterProto              typedef PROTO :DWORD,:DWORD,:DWORD
IMediaControl_AddSourceFilter                   typedef ptr IMediaControl_AddSourceFilterProto
IMediaControl_get_FilterCollectionProto         typedef PROTO :DWORD,:DWORD
IMediaControl_get_FilterCollection              typedef ptr IMediaControl_get_FilterCollectionProto
IMediaControl_get_RegFilterCollectionProto      typedef PROTO :DWORD,:DWORD
IMediaControl_get_RegFilterCollection           typedef ptr IMediaControl_get_RegFilterCollectionProto
;---
IMediaControl STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
GetTypeInfoCount                                IDispatch_GetTypeInfoCount                  ?
GetTypeInfo                                     IDispatch_GetTypeInfo                       ?
GetIDsOfName                                    IDispatch_GetIDsOfName                      ?
xInvoke                                         IDispatch_Invoke                            ?
Run                                             IMediaControl_Run                           ?
Pause                                           IMediaControl_Pause                         ?
Stop                                            IMediaControl_Stop                          ?
StopWhenReady                                   IMediaControl_StopWhenReady                 ?
GetState                                        IMediaControl_GetState                      ?
RenderFile                                      IMediaControl_RenderFile                    ?
AddSourceFilter                                 IMediaControl_AddSourceFilter               ?
get_FilterCollection                            IMediaControl_get_FilterCollection          ?
get_RegFilterCollection                         IMediaControl_get_RegFilterCollection       ?
IMediaControl ENDS
; -------------------------------------------------------------------------
; IMediaFilter interface
IMediaFilter_StopProto                          typedef PROTO :DWORD
IMediaFilter_Stop                               typedef ptr IMediaFilter_StopProto
IMediaFilter_PauseProto                         typedef PROTO :DWORD
IMediaFilter_Pause                              typedef ptr IMediaFilter_PauseProto
IMediaFilter_RunProto                           typedef PROTO :DWORD,:DWORD
IMediaFilter_Run                                typedef ptr IMediaFilter_RunProto
IMediaFilter_GetStateProto                      typedef PROTO :DWORD,:DWORD,:DWORD
IMediaFilter_GetState                           typedef ptr IMediaFilter_GetStateProto
IMediaFilter_SetSyncSourceProto                 typedef PROTO :DWORD,:DWORD
IMediaFilter_SetSyncSource                      typedef ptr MediaFilter_SetSyncSourceProto
IMediaFilter_GetSyncSourceProto                 typedef PROTO :DWORD,:DWORD
IMediaFilter_GetSyncSource                      typedef ptr IMediaFilter_GetSyncSourceProto
;---
IMediaFilter STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
Stop                                            IMediaFilter_Stop                           ?
Pause                                           IMediaFilter_Pause                          ?
Run                                             IMediaFilter_Run                            ?
GetState                                        IMediaFilter_GetState                       ?
SetSyncSource                                   IMediaFilter_SetSyncSource                  ?
GetSyncSource                                   IMediaFilter_GetSyncSource                  ?
IMediaFilter ENDS
; -------------------------------------------------------------------------
; IBaseFilter interface
IBaseFilter_EnumPinsProto                       typedef PROTO :DWORD,:DWORD
IBaseFilter_EnumPins                            typedef ptr IBaseFilter_EnumPinsProto
IBaseFilter_FindPinProto                        typedef PROTO :DWORD,:DWORD,:DWORD
IBaseFilter_FindPin                             typedef ptr IBaseFilter_FindPinProto
IBaseFilter_QueryFilterInfoProto                typedef PROTO :DWORD,:DWORD
IBaseFilter_QueryFilterInfo                     typedef ptr IBaseFilter_QueryFilterInfoProto
IBaseFilter_JoinFilterGraphProto                typedef PROTO :DWORD,:DWORD,:DWORD
IBaseFilter_JoinFilterGraph                     typedef ptr IBaseFilter_JoinFilterGraphProto
IBaseFilter_QueryVendorInfoProto                typedef PROTO :DWORD,:DWORD
IBaseFilter_QueryVendorInfo                     typedef ptr IBaseFilter_QueryVendorInfoProto
;---
IBaseFilter STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
Stop                                            IMediaFilter_Stop                           ?
Pause                                           IMediaFilter_Pause                          ?
Run                                             IMediaFilter_Run                            ?
GetState                                        IMediaFilter_GetState                       ?
SetSyncSource                                   IMediaFilter_SetSyncSource                  ?
GetSyncSource                                   IMediaFilter_GetSyncSource                  ?
EnumPins                                        IBaseFilter_EnumPins                        ?
FindPin                                         IBaseFilter_FindPin                         ?
QueryFilterInfo                                 IBaseFilter_QueryFilterInfo                 ?
JoinFilterGraph                                 IBaseFilter_JoinFilterGraph                 ?
QueryVendorInfo                                 IBaseFilter_QueryVendorInfo                 ?
IBaseFilter ENDS
; -------------------------------------------------------------------------
; IEnumFilters interface
IEnumFilters_NextProto                          typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IEnumFilters_Next                               typedef ptr IEnumFilters_NextProto
IEnumFilters_SkipProto                          typedef PROTO :DWORD,:DWORD
IEnumFilters_Skip                               typedef ptr IEnumFilters_SkipProto
IEnumFilters_ResetProto                         typedef PROTO :DWORD
IEnumFilters_Reset                              typedef ptr IEnumFilters_ResetProto
IEnumFilters_CloneProto                         typedef PROTO :DWORD,:DWORD
IEnumFilters_Clone                              typedef ptr IEnumFilters_CloneProto
;---
; IEnumFilters methods
IEnumFilters STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
Next                                            IEnumFilters_Next                           ?
Skip                                            IEnumFilters_Skip                           ?
Reset                                           IEnumFilters_Reset                          ?
Clone                                           IEnumFilters_Clone                          ?
IEnumFilters ENDS
; -------------------------------------------------------------------------
; IFilterInfo interface
IFilterInfo_FindPinProto                        typedef PROTO :DWORD,:DWORD,:DWORD
IFilterInfo_FindPin                             typedef ptr IFilterInfo_FindPinProto
IFilterInfo_get_NameProto                       typedef PROTO :DWORD,:DWORD
IFilterInfo_get_Name                            typedef ptr IFilterInfo_get_NameProto
IFilterInfo_get_VendorInfoProto                 typedef PROTO :DWORD,:DWORD
IFilterInfo_get_VendorInfo                      typedef ptr IFilterInfo_get_VendorInfoProto
IFilterInfo_get_FilterProto                     typedef PROTO :DWORD,:DWORD
IFilterInfo_get_Filter                          typedef ptr IFilterInfo_get_FilterProto
IFilterInfo_get_PinsProto                       typedef PROTO :DWORD,:DWORD
IFilterInfo_get_Pins                            typedef ptr IFilterInfo_get_PinsProto
IFilterInfo_get_IsFileSourceProto               typedef PROTO :DWORD,:DWORD
IFilterInfo_get_IsFileSource                    typedef ptr IFilterInfo_get_IsFileSourceProto
IFilterInfo_get_FilenameProto                   typedef PROTO :DWORD,:DWORD
IFilterInfo_get_Filename                        typedef ptr IFilterInfo_get_FilenameProto
IFilterInfo_put_FilenameProto                   typedef PROTO :DWORD,:DWORD
IFilterInfo_put_Filename                        typedef ptr IFilterInfo_put_FilenameProto
;---
IFilterInfo STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
GetTypeInfoCount                                IDispatch_GetTypeInfoCount                  ?
GetTypeInfo                                     IDispatch_GetTypeInfo                       ?
GetIDsOfName                                    IDispatch_GetIDsOfName                      ?
xInvoke                                         IDispatch_Invoke                            ?
FindPin                                         IFilterInfo_FindPin                         ?
get_Name                                        IFilterInfo_get_Name                        ?
get_VendorInfo                                  IFilterInfo_get_VendorInfo                  ?
get_Filter                                      IFilterInfo_get_Filter                      ?
get_Pins                                        IFilterInfo_get_Pins                        ?
get_IsFileSource                                IFilterInfo_get_IsFileSource                ?
get_Filename                                    IFilterInfo_get_Filename                    ?
put_Filename                                    IFilterInfo_put_Filename                    ?
IFilterInfo ENDS
; -------------------------------------------------------------------------
; IAMVfwCaptureDialogs interface
IAMVfwCaptureDialogs_HasDialogProto             typedef PROTO :DWORD,:DWORD
IAMVfwCaptureDialogs_HasDialog                  typedef ptr IAMVfwCaptureDialogs_HasDialogProto
IAMVfwCaptureDialogs_ShowDialogProto            typedef PROTO :DWORD,:DWORD,:DWORD
IAMVfwCaptureDialogs_ShowDialog                 typedef ptr IAMVfwCaptureDialogs_ShowDialogProto
IAMVfwCaptureDialogs_SendDriverMessageProto     typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IAMVfwCaptureDialogs_SendDriverMessage          typedef ptr IAMVfwCaptureDialogs_SendDriverMessageProto
;---
; IAMVfwCaptureDialogs methods
IAMVfwCaptureDialogs STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
HasDialog                                       IAMVfwCaptureDialogs_HasDialog              ?
ShowDialog                                      IAMVfwCaptureDialogs_ShowDialog             ?
SendDriverMessage                               IAMVfwCaptureDialogs_SendDriverMessage      ?
IAMVfwCaptureDialogs ENDS
; -------------------------------------------------------------------------
; IAMVfwCompressDialogs interface
IAMVfwCompressDialogs_ShowDialogProto           typedef PROTO :DWORD,:DWORD,:DWORD
IAMVfwCompressDialogs_ShowDialog                typedef ptr IAMVfwCompressDialogs_ShowDialogProto
IAMVfwCompressDialogs_GetStateProto             typedef PROTO :DWORD,:DWORD,:DWORD
IAMVfwCompressDialogs_GetState                  typedef ptr IAMVfwCompressDialogs_GetStateProto
IAMVfwCompressDialogs_SetStateProto             typedef PROTO :DWORD,:DWORD,:DWORD
IAMVfwCompressDialogs_SetState                  typedef ptr IAMVfwCompressDialogs_SetStateProto
IAMVfwCompressDialogs_SendDriverMessageProto    typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IAMVfwCompressDialogs_SendDriverMessage         typedef ptr IAMVfwCompressDialogs_SendDriverMessageProto
;---
; IAMVfwCompressDialogs methods
IAMVfwCompressDialogs STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
ShowDialog                                      IAMVfwCompressDialogs_ShowDialog            ?
GetState                                        IAMVfwCompressDialogs_GetState              ?
SetState                                        IAMVfwCompressDialogs_SetState              ?
SendDriverMessage                               IAMVfwCompressDialogs_SendDriverMessage     ?
IAMVfwCompressDialogs ENDS
; -------------------------------------------------------------------------
; IAMVideoProcAmp interface
IAMVideoProcAmp_GetRangeProto                   typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IAMVideoProcAmp_GetRange                        typedef ptr IAMVideoProcAmp_GetRangeProto
IAMVideoProcAmp_SetProto                        typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IAMVideoProcAmp_Set                             typedef ptr IAMVideoProcAmp_SetProto
IAMVideoProcAmp_GetProto                        typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IAMVideoProcAmp_Get                             typedef ptr IAMVideoProcAmp_GetProto
;---
; IAMVideoProcAmp methods
IAMVideoProcAmp STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
GetRange                                        IAMVideoProcAmp_GetRange                    ?
Set                                             IAMVideoProcAmp_Set                         ?
Get                                             IAMVideoProcAmp_Get                         ?
IAMVideoProcAmp ENDS
; -------------------------------------------------------------------------
; IAMStreamConfig interface
IAMStreamConfig_SetFormatProto                  typedef PROTO :DWORD,:DWORD
IAMStreamConfig_SetFormat                       typedef ptr IAMStreamConfig_SetFormatProto
IAMStreamConfig_GetFormatProto                  typedef PROTO :DWORD,:DWORD
IAMStreamConfig_GetFormat                       typedef ptr IAMStreamConfig_GetFormatProto
IAMStreamConfig_GetNumberOfCapabilitiesProto    typedef PROTO :DWORD,:DWORD,:DWORD
IAMStreamConfig_GetNumberOfCapabilities         typedef ptr IAMStreamConfig_GetNumberOfCapabilitiesProto
IAMStreamConfig_GetStreamCapsProto              typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IAMStreamConfig_GetStreamCaps                   typedef ptr IAMStreamConfig_GetStreamCapsProto
;---
; IAMStreamConfig methods
IAMStreamConfig STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
SetFormat                                       IAMStreamConfig_SetFormat                   ?
GetFormat                                       IAMStreamConfig_GetFormat                   ?
GetNumberOfCapabilities                         IAMStreamConfig_GetNumberOfCapabilities     ?
GetStreamCaps                                   IAMStreamConfig_GetStreamCaps               ?
IAMStreamConfig ENDS
; -------------------------------------------------------------------------
; IAMVideoCompression interface
IAMVideoCompression_put_KeyFrameRateProto       typedef PROTO :DWORD,:DWORD
IAMVideoCompression_put_KeyFrameRate            typedef ptr IAMVideoCompression_put_KeyFrameRateProto
IAMVideoCompression_get_KeyFrameRateProto       typedef PROTO :DWORD,:DWORD
IAMVideoCompression_get_KeyFrameRate            typedef ptr IAMVideoCompression_get_KeyFrameRateProto
IAMVideoCompression_put_PFramesPerKeyFrameProto typedef PROTO :DWORD,:DWORD
IAMVideoCompression_put_PFramesPerKeyFrame      typedef ptr IAMVideoCompression_put_PFramesPerKeyFrameProto
IAMVideoCompression_get_PFramesPerKeyFrameProto typedef PROTO :DWORD,:DWORD
IAMVideoCompression_get_PFramesPerKeyFrame      typedef ptr IAMVideoCompression_get_PFramesPerKeyFrameProto
IAMVideoCompression_put_QualityProto            typedef PROTO :DWORD,:DWORD
IAMVideoCompression_put_Quality                 typedef ptr IAMVideoCompression_put_QualityProto
IAMVideoCompression_get_QualityProto            typedef PROTO :DWORD,:DWORD
IAMVideoCompression_get_Quality                 typedef ptr IAMVideoCompression_get_QualityProto
IAMVideoCompression_put_WindowSizeProto         typedef PROTO :DWORD,:DWORD
IAMVideoCompression_put_WindowSize              typedef ptr IAMVideoCompression_put_WindowSizeProto
IAMVideoCompression_get_WindowSizeProto         typedef PROTO :DWORD,:DWORD
IAMVideoCompression_get_WindowSize              typedef ptr IAMVideoCompression_get_WindowSizeProto
IAMVideoCompression_GetInfoProto                typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IAMVideoCompression_GetInfo                     typedef ptr IAMVideoCompression_GetInfoProto
IAMVideoCompression_OverrideKeyFrameProto       typedef PROTO :DWORD,:DWORD
IAMVideoCompression_OverrideKeyFrame            typedef ptr IAMVideoCompression_OverrideKeyFrameProto
IAMVideoCompression_OverrideFrameSizeProto      typedef PROTO :DWORD,:DWORD
IAMVideoCompression_OverrideFrameSize           typedef ptr IAMVideoCompression_OverrideFrameSizeProto
;---
IAMVideoCompression STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
put_KeyFrameRate                                IAMVideoCompression_put_KeyFrameRate        ?
get_KeyFrameRate                                IAMVideoCompression_get_KeyFrameRate        ?
put_PFramesPerKeyFrame                          IAMVideoCompression_put_PFramesPerKeyFrame  ?
get_PFramesPerKeyFrame                          IAMVideoCompression_get_PFramesPerKeyFrame  ?
put_Quality                                     IAMVideoCompression_put_Quality             ?
get_Quality                                     IAMVideoCompression_get_Quality             ?
put_WindowSize                                  IAMVideoCompression_put_WindowSize          ?
get_WindowSize                                  IAMVideoCompression_get_WindowSize          ?
GetInfo                                         IAMVideoCompression_GetInfo                 ?
OverrideKeyFrame                                IAMVideoCompression_OverrideKeyFrame        ?
OverrideFrameSize                               IAMVideoCompression_OverrideFrameSize       ?
IAMVideoCompression ENDS
; -------------------------------------------------------------------------
; IAMVideoControl interface
IAMVideoControl_GetCapsProto                    typedef PROTO :DWORD,:DWORD,:DWORD
IAMVideoControl_GetCaps                         typedef ptr IAMVideoControl_GetCapsProto
IAMVideoControl_SetModeProto                    typedef PROTO :DWORD,:DWORD,:DWORD
IAMVideoControl_SetMode                         typedef ptr IAMVideoControl_SetModeProto
IAMVideoControl_GetModeProto                    typedef PROTO :DWORD,:DWORD,:DWORD
IAMVideoControl_GetMode                         typedef ptr IAMVideoControl_GetModeProto
IAMVideoControl_GetCurrentActualFrameRateProto  typedef PROTO :DWORD,:DWORD,:DWORD
IAMVideoControl_GetCurrentActualFrameRate       typedef ptr IAMVideoControl_GetCurrentActualFrameRateProto
IAMVideoControl_GetMaxAvailableFrameRateProto   typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IAMVideoControl_GetMaxAvailableFrameRate        typedef ptr IAMVideoControl_GetMaxAvailableFrameRateProto
IAMVideoControl_GetFrameRateListProto           typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IAMVideoControl_GetFrameRateList                typedef ptr IAMVideoControl_GetFrameRateListProto
;---
; IAMVideoControl methods
IAMVideoControl STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
GetCaps                                         IAMVideoControl_GetCaps                     ?
SetMode                                         IAMVideoControl_SetMode                     ?
GetMode                                         IAMVideoControl_GetMode                     ?
GetCurrentActualFrameRate                       IAMVideoControl_GetCurrentActualFrameRate   ?
GetMaxAvailableFrameRate                        IAMVideoControl_GetMaxAvailableFrameRate    ?
GetFrameRateList                                IAMVideoControl_GetFrameRateList            ?
IAMVideoControl ENDS
; -------------------------------------------------------------------------
; IAMStreamControl interface
IAMStreamControl_StartAtProto                   typedef PROTO :DWORD,:DWORD,:DWORD
IAMStreamControl_StartAt                        typedef ptr IAMStreamControl_StartAtProto
IAMStreamControl_StopAtProto                    typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IAMStreamControl_StopAt                         typedef ptr IAMStreamControl_StopAtProto
IAMStreamControl_GetInfoProto                   typedef PROTO :DWORD,:DWORD
IAMStreamControl_GetInfo                        typedef ptr IAMStreamControl_GetInfoProto
;---
; IAMStreamControl methods
IAMStreamControl STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
StartAt                                         IAMStreamControl_StartAt                    ?
StopAt                                          IAMStreamControl_StopAt                     ?
GetInfo                                         IAMStreamControl_GetInfo                    ?
IAMStreamControl ENDS
; -------------------------------------------------------------------------
; IFilterMapper2 interface
IFilterMapper2_CreateCategoryProto              typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IFilterMapper2_CreateCategory                   typedef ptr IFilterMapper2_CreateCategoryProto
IFilterMapper2_UnregisterFilterProto            typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IFilterMapper2_UnregisterFilter                 typedef ptr IFilterMapper2_UnregisterFilterProto
IFilterMapper2_RegisterFilterProto              typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IFilterMapper2_RegisterFilter                   typedef ptr IFilterMapper2_RegisterFilterProto
IFilterMapper2_EnumMatchingFiltersProto         typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
IFilterMapper2_EnumMatchingFilters              typedef ptr IFilterMapper2_EnumMatchingFiltersProto
;---
; IFilterMapper2 methods
IFilterMapper2 STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
CreateCategory                                  IFilterMapper2_CreateCategory               ?
UnregisterFilter                                IFilterMapper2_UnregisterFilter             ?
RegisterFilter                                  IFilterMapper2_RegisterFilter               ?
EnumMatchingFilters                             IFilterMapper2_EnumMatchingFilters          ?
IFilterMapper2 ENDS
; -------------------------------------------------------------------------
; IAMAudioInputMixer interface
IAMAudioInputMixer_put_EnableProto              typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_put_Enable                   typedef ptr IAMAudioInputMixer_put_EnableProto
IAMAudioInputMixer_get_EnableProto              typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_get_Enable                   typedef ptr IAMAudioInputMixer_get_EnableProto
IAMAudioInputMixer_put_MonoProto                typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_put_Mono                     typedef ptr IAMAudioInputMixer_put_MonoProto
IAMAudioInputMixer_get_MonoProto                typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_get_Mono                     typedef ptr IAMAudioInputMixer_get_MonoProto
IAMAudioInputMixer_put_MixLevelProto            typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_put_MixLevel                 typedef ptr IAMAudioInputMixer_put_MixLevelProto
IAMAudioInputMixer_get_MixLevelProto            typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_get_MixLevel                 typedef ptr IAMAudioInputMixer_get_MixLevelProto
IAMAudioInputMixer_put_PanProto                 typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_put_Pan                      typedef ptr IAMAudioInputMixer_put_PanProto
IAMAudioInputMixer_get_PanProto                 typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_get_Pan                      typedef ptr IAMAudioInputMixer_get_PanProto
IAMAudioInputMixer_put_LoudnessProto            typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_put_Loudness                 typedef ptr IAMAudioInputMixer_put_LoudnessProto
IAMAudioInputMixer_get_LoudnessProto            typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_get_Loudness                 typedef ptr IAMAudioInputMixer_get_LoudnessProto
IAMAudioInputMixer_put_TrebleProto              typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_put_Treble                   typedef ptr IAMAudioInputMixer_put_TrebleProto
IAMAudioInputMixer_get_TrebleProto              typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_get_Treble                   typedef ptr IAMAudioInputMixer_get_TrebleProto
IAMAudioInputMixer_get_TrebleRangeProto         typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_get_TrebleRange              typedef ptr IAMAudioInputMixer_get_TrebleRangeProto
IAMAudioInputMixer_put_BassProto                typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_put_Bass                     typedef ptr IAMAudioInputMixer_put_BassProto
IAMAudioInputMixer_get_BassProto                typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_get_Bass                     typedef ptr IAMAudioInputMixer_get_BassProto
IAMAudioInputMixer_get_BassRangeProto           typedef PROTO :DWORD,:DWORD
IAMAudioInputMixer_get_BassRange                typedef ptr IAMAudioInputMixer_get_BassRangeProto
;---
IAMAudioInputMixer STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
put_Enable                                      IAMAudioInputMixer_put_Enable               ?
get_Enable                                      IAMAudioInputMixer_get_Enable               ?
put_Mono                                        IAMAudioInputMixer_put_Mono                 ?
get_Mono                                        IAMAudioInputMixer_get_Mono                 ?
put_MixLevel                                    IAMAudioInputMixer_put_MixLevel             ?
get_MixLevel                                    IAMAudioInputMixer_get_MixLevel             ?
put_Pan                                         IAMAudioInputMixer_put_Pan                  ?
get_Pan                                         IAMAudioInputMixer_get_Pan                  ?
put_Loudness                                    IAMAudioInputMixer_put_Loudness             ?
get_Loudness                                    IAMAudioInputMixer_get_Loudness             ?
put_Treble                                      IAMAudioInputMixer_put_Treble               ?
get_Treble                                      IAMAudioInputMixer_get_Treble               ?
get_TrebleRange                                 IAMAudioInputMixer_get_TrebleRange          ?
put_Bass                                        IAMAudioInputMixer_put_Bass                 ?
get_Bass                                        IAMAudioInputMixer_get_Bass                 ?
get_BassRange                                   IAMAudioInputMixer_get_BassRange            ?
IAMAudioInputMixer ENDS
; -------------------------------------------------------------------------
; IConfigAviMux interface
IConfigAviMux_SetMasterStreamProto              typedef PROTO :DWORD,:DWORD
IConfigAviMux_SetMasterStream                   typedef ptr IConfigAviMux_SetMasterStreamProto
IConfigAviMux_GetMasterStreamProto              typedef PROTO :DWORD,:DWORD
IConfigAviMux_GetMasterStream                   typedef ptr IConfigAviMux_GetMasterStreamProto
IConfigAviMux_SetOutputCompatibilityIndexProto  typedef PROTO :DWORD,:DWORD
IConfigAviMux_SetOutputCompatibilityIndex       typedef ptr IConfigAviMux_SetOutputCompatibilityIndexProto
IConfigAviMux_GetOutputCompatibilityIndexProto  typedef PROTO :DWORD,:DWORD
IConfigAviMux_GetOutputCompatibilityIndex       typedef ptr IConfigAviMux_GetOutputCompatibilityIndexProto
;---
IConfigAviMux STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
SetMasterStream                                 IConfigAviMux_SetMasterStream               ?
GetMasterStream                                 IConfigAviMux_GetMasterStream               ?
SetOutputCompatibilityIndex                     IConfigAviMux_SetOutputCompatibilityIndex   ?
GetOutputCompatibilityIndex                     IConfigAviMux_GetOutputCompatibilityIndex   ?
IConfigAviMux ENDS
; -------------------------------------------------------------------------
; IAudioMediaStream interface
IAudioMediaStream_GetFormatProto                typedef PROTO :DWORD,:DWORD
IAudioMediaStream_GetFormat                     typedef ptr IAudioMediaStream_GetFormatProto
IAudioMediaStream_SetFormatProto                typedef PROTO :DWORD,:DWORD
IAudioMediaStream_SetFormat                     typedef ptr IAudioMediaStream_SetFormatProto
IAudioMediaStream_CreateSampleProto             typedef PROTO :DWORD,:DWORD,:DWORD,:DWORD
IAudioMediaStream_CreateSample                  typedef ptr IAudioMediaStream_CreateSampleProto
;---
; IAudioMediaStream methods
IAudioMediaStream STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
GetFormat                                       IAudioMediaStream_GetFormat                 ?
SetFormat                                       IAudioMediaStream_SetFormat                 ?
CreateSample                                    IAudioMediaStream_CreateSample              ?
IAudioMediaStream ENDS
; -------------------------------------------------------------------------
; IAudioData interface
IAudioData_GetFormatProto                       typedef PROTO :DWORD,:DWORD
IAudioData_GetFormat                            typedef ptr IAudioData_GetFormatProto
IAudioData_SetFormatProto                       typedef PROTO :DWORD,:DWORD
IAudioData_SetFormat                            typedef ptr IAudioData_SetFormatProto
;---
; IAudioData methods
IAudioData STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
GetFormat                                       IAudioData_GetFormat                        ?
SetFormat                                       IAudioData_SetFormat                        ?
IAudioData ENDS
; -------------------------------------------------------------------------
; IDMOWrapperFilter interface
IDMOWrapperFilter_InitProto                     typedef PROTO :DWORD,:DWORD,:DWORD
IDMOWrapperFilter_Init                          typedef ptr IDMOWrapperFilter_InitProto
;---
; IDMOWrapperFilter methods
IDMOWrapperFilter STRUCT DWORD
QueryInterface                                  IUnknown_QueryInterface                     ?
AddRef                                          IUnknown_AddRef                             ?
Release                                         IUnknown_Release                            ?
Init                                            IDMOWrapperFilter_Init                      ?
IDMOWrapperFilter ENDS
; -------------------------------------------------------------------------

